/*  SET_DIR:  use tape volume ID to create directory names  */

int set_dir(tv_id, dir1, dir2, fn, count, flag)
	int count, flag;
	char *tv_id, *dir1, *dir2, *fn;
{
	char dummy[8];
	int j;

	/*
	printf("SET_DIR inputs:\n");
	printf("    DIR1=%s\n", dir1 );
	if(dir2 == 0) printf("DIR2 not given\n");
	else if( dir2==dir1 ) printf("DIR2 same as DIR1\n");
	else printf("    DIR2=%s\n", dir2 );
	*/

	j = strlen(dir1);

	if(dir1[j - 1] == '/')
	{
		/*  truncate the last back slash  */
		dir1[j - 1] = 0;
	}

	if(flag)
	{
		/*  creating directory and files  */

		/*  extract data type from tape volume ID  */
    	dummy[0] = tv_id[0];
    	dummy[1] = 0;
   		strcat(dir1, "/" );
    	strcat(dir1, dummy );

    	if(dir2 != 0 && dir2 != dir1)
		{
			j = strlen(dir1);

			if(dir1[j - 1] != '/')
			{
				strcat( dir2, "/" );
			}

			strcat( dir2, dummy );
    	}

		/*  extract orbit number from tape volume ID  */

    	for(j = 0; j < 4; j++)
		{
			dummy[j] = tv_id[j + 1];
		}

    	dummy[j] = 0;
    	sscanf(dummy, "%x", &j);
    	sprintf(dummy, "_%05d_", j);
    	dummy[7] = 0;
    	strcat(dir1, dummy);

    	if(dir2 != 0 && dir2 != dir1)
		{
			strcat(dir2, dummy);
		}

		/*  extract data version from tape volume ID  */

    	dummy[0] = '0';
    	dummy[1] = tv_id[5];
    	dummy[2] = 0;
    	strcat(dir1, dummy);
    	if(dir2 != 0 && dir2 != dir1)
		{
			strcat( dir2, dummy);
		}

    	else dir2 = dir1;
	}

	/*  build the output file names  */

	strcpy(fn, dir1);
	if(count > 13 )
	{
		strcat( fn, "/FILE_01" );
	}
	else
	{
		strcat( fn, "/EDR_HEAD" );
	}

	fn += 64;
	strcpy(fn, dir2);
	strcat(fn, "/FILE_02");
	fn += 64;
	strcpy(fn, dir2);
	strcat(fn, "/FILE_03");
	fn += 64;
	strcpy(fn, dir2);
	strcat(fn, "/FILE_04");
	fn += 64;
	strcpy(fn, dir2);
	strcat(fn, "/FILE_05");
	fn += 64;
	strcpy(fn, dir2);
	strcat(fn, "/FILE_06");
	fn += 64;
	strcpy(fn, dir2);
	strcat(fn, "/FILE_07");
	fn += 64;
	strcpy(fn, dir2);
	strcat(fn, "/FILE_08");
	fn += 64;
	strcpy(fn, dir2);
	strcat(fn, "/FILE_09");
	fn += 64;
	strcpy(fn, dir2);
	strcat(fn, "/FILE_10");
	fn += 64;
	strcpy(fn, dir2);
	strcat(fn, "/FILE_11");
	fn += 64;
	strcpy(fn, dir1);

	if(count > 13)
	{
		strcat(fn, "/FILE_12");
	}
	else
	{
		strcat(fn, "/SAR_DATA");
	}

	fn += 64;
	strcpy(fn, dir1);
	if(count > 13)
	{
		 strcat(fn, "/FILE_13");
	}
	else
	{
    	strcat(fn, "/EDR_TRAIL");
    	return(1);
	}

	fn += 64;
	strcpy(fn, dir2);
	strcat(fn, "/FILE_14");
	fn += 64;
	strcpy(fn, dir2);
	strcat(fn, "/FILE_15");
	fn += 64;
	strcpy(fn, dir2);
	strcat(fn, "/FILE_16");
	fn += 64;
	strcpy(fn, dir2);
	strcat(fn, "/FILE_17");
	fn += 64;
	strcpy(fn, dir2);
	strcat(fn, "/FILE_18");
	fn += 64;
	strcpy(fn, dir2);
	strcat(fn, "/FILE_19");
	fn += 64;
	strcpy(fn, dir2);
	strcat(fn, "/FILE_20");
	
	return(1);
}
