/* $Id: xcolors.c,v 1.1 1994/02/15 16:44:16 quyen Exp $ */
/* 
 * done by quyen dinh nguyen
 * %W% %G%
 */

#include "xinclude.h"

void str_grey(ilow,ihigh)
int  ilow,ihigh;
{
   int   i, ib_low, ib_hgh;
   float xstep;
  
   sprintf(str_string,"Range: %3d-%3d",low_str,high_str);
   if( color_mode == 0 ){  /* gray scale */
      for(i=0; i<ilow ; i++) red[i] = blue[i] = green[i] = 0;
      xstep = 255.0/((float)(ihigh-ilow));
      for(i=ilow; i<=ihigh; i++)
        red[i] = blue[i] = green[i] = (int)(xstep*((float)(i-ilow)));
      for(i=ihigh; i<ncols; i++)
        red[i] = blue[i] = green[i] =  255;
   } else {                /* color scale for overlay */
      for(i=0; i<ncols; i++) red[i] = blue[i] = green[i] = 0;
      xstep = 255.0/((float)(ihigh-ilow));
      for(i=0; i<ncols; i++){
         blue[i]  = 0;

         ib_low   = ( i & 0x0f );
         if(ib_low <= ilow ) red[i] = 0;
         else if(ib_low >= ihigh) red[i] = 255;
         else red[i]   = (int)(xstep*((float)(ib_low-ilow)));
   
         ib_hgh   =  i >> 4 ;
         if(ib_hgh <= ilow ) green[i] = 0;
         else if(ib_hgh >= ihigh) green[i] = 255;
         else green[i]   = (int)(xstep*((float)(ib_hgh-ilow)));
      }
   }

   /* load up the allocated colorcells */
   for(i=0; i<ncols; i++){
      xcolors[i].pixel =  i;
      xcolors[i].flags =  DoRed | DoBlue | DoGreen;
      xcolors[i].red   =  (unsigned short)(red[i]<<8);
      xcolors[i].blue  =  (unsigned short)(blue[i]<<8);
      xcolors[i].green =  (unsigned short)(green[i]<<8);
   }
  
   /* Store the colors */
   XStoreColors( dpy, cmap, xcolors, ncols);
   MSG_BUTTON_Redraw (&msg_but[MSG_B_STR]); 

}

/* $Log: xcolors.c,v $
 * Revision 1.1  1994/02/15  16:44:16  quyen
 * Initial revision
 * */
