/* $Id: xevent.c,v 1.1 1994/02/15 16:44:16 quyen Exp $ */
/*
 * done by quyen dinh nguyen 
 * %W% %G%
 */

#include "xinclude.h"

/***********************************************/
int HandleEvent(event,donep)
XEvent *event;
int    *donep;
{
  int done=0;
  switch(event->type){
     case Expose: {
        XExposeEvent *exp_event = (XExposeEvent *) event;
        int  x,y,w,h;
        Window win;
        
        win = exp_event->window;
        x = exp_event->x;     y = exp_event->y;
        w = exp_event->width; h = exp_event->height; 

        /* if(exp_event->count > 0 && win != imgW ) break; */
        if(exp_event->count > 0 ) break;
        if( win == imgW )          RedrawImgWin(&img_picwin);
        else if( win == subImgW )  RedrawsubImgWin(&subimg_picwin,
                                      &msg_sub_but[MSG_SUBWIN_NAME]);
        else if( win == ZoomW )    RedrawsubImgWin(&subzoom_picwin,
                                      &msg_sub_but[MSG_ZOOMWIN_NAME]);

     }
        break;
     case ButtonRelease: {
        XButtonEvent *but_event = (XButtonEvent *)event;
        int    i,xstep,x,y;
        Window win;
        
        win = but_event->window;
        x = but_event->x;      y = but_event->y;
        if ( win = imgW ) {
           switch (but_event->button){
             case Button3: if( button_pressed ) {
                              button_pressed = False;
                              RedrawLocString(&img_picwin,0,0,0); 
                           }                  break;
           }
        }
     }
        break;
     case ButtonPress: {
        XButtonEvent *but_event = (XButtonEvent *)event;
        int    i,xstep,x,y,org_x,org_y;
        Window win;
        
        win = but_event->window;
        x = but_event->x;      y = but_event->y;
        if ( win == subImgW ) {
            switch (but_event->button) {
              case Button1: GetLoc_subImgWin( &subimg_picwin, x,y,
                                              &org_x, &org_y);
                            JumpImg(&img_picwin, org_x, org_y);
                            break;
            }  
        } else if ( win == ZoomW ) {
            switch (but_event->button) {
              case Button1: 
                            Zoom_subImgWin(&subzoom_picwin,
                               &msg_sub_but [MSG_ZOOMWIN_NAME],  1);
                            break;
              case Button2: 
                            Zoom_subImgWin(&subzoom_picwin,
                               &msg_sub_but [MSG_ZOOMWIN_NAME],  0);
                            break;
              case Button3: 
                            Zoom_subImgWin(&subzoom_picwin,
                               &msg_sub_but [MSG_ZOOMWIN_NAME], -1); 
                            break;
            }
        } else if ( win == imgW ) {
            if ( ClickImg_win(&img_picwin, x,y) ) {
               GetLoc_subImgWin(&img_picwin,x,y,&org_x,&org_y);
               switch (but_event->button) {
                  case Button1 : 
                                 JumpImg( &img_picwin, org_x, org_y);
                                 break;
                  case Button2 :
                                 Zoom_xy_subImgWin(&subzoom_picwin,
                                   &msg_sub_but[MSG_ZOOMWIN_NAME],org_x,org_y);
                                 break;
                  case Button3 : 
                                 if( ! button_pressed ) {
                                     button_pressed = True; 
                                     RedrawLocString(&img_picwin,x,y,1);
                                 }break;
               }
            }
            switch (but_event->button){
              case Button1: xstep = 10;        break;
              case Button2: xstep = 1;         break;
              case Button3: xstep = 10;        break;
                  /*
                            if( ! button_pressed ) {
                              button_pressed = True; 
                              RedrawLocString(&img_picwin,x,y,1);
                            }                  break;
                   */
            }
            i = ClickImg_But(x,y);
            switch (i) {
              case B_SUBIMG_VIS : subImgBox(subImgW, subimg_picwin.win, 
                                            &subImgUp); break;
              case B_SUBIMG_ZOOM : subImgBox(ZoomW, subzoom_picwin.win,
                                            &ZoomUp);   break;
              case B_BLACKWHITE : ChangeColor(); break; 
              case B_COLOR      : ChangeColor(); break;
              case B_LOW_DOWN: if( (low_str - xstep) >= min_color){
                                  low_str -= xstep;
                                  str_grey(low_str,high_str);
                               }; break;
              case B_LOW_UP  : if( (low_str + xstep) < high_str){
                                  low_str += xstep;
                                  str_grey(low_str,high_str);
                               }; break;
              case B_HIGH_DOWN: if( (high_str - xstep) > low_str){
                                  high_str -= xstep;
                                  str_grey(low_str,high_str);
                               }; break;
              case B_HIGH_UP : if( (high_str + xstep) <= max_color){
                                  high_str += xstep;
                                  str_grey(low_str,high_str);
                               }; break;
              case IMG_UP    : MoveImg(&img_picwin, IMG_UP);    break; 
              case IMG_DOWN  : MoveImg(&img_picwin, IMG_DOWN);  break; 
              case IMG_LEFT  : MoveImg(&img_picwin, IMG_LEFT);  break; 
              case IMG_RIGHT : MoveImg(&img_picwin, IMG_RIGHT); break; 
              case IMG_QUIT  : done = 1;                        break;
              case IMG_SCR_LEFT : dir_x_scroll = -1;            break;
              case IMG_SCR_RIGHT: dir_x_scroll =  1;            break; 
              case IMG_SCR_UP   : dir_y_scroll = -2;            break;
              case IMG_SCR_DOWN : dir_y_scroll =  2;            break; 
              case IMG_SCR_CNTR : dir_x_scroll = dir_y_scroll=0;break;
            }
          
        }
     }
        break;
     default: 
        break;
  }
  *donep = done;
  return(0);
  
}
 

/* $Log: xevent.c,v $
 * Revision 1.1  1994/02/15  16:44:16  quyen
 * Initial revision
 * */
