c************  INIT_BAQ_TABLE  ***********************************************
      subroutine init_baq_table( c0, c1 )

c  Subroutine initializes values in a table which will later be used to 
c  reconstitute SAR signal data from BAQ compressed data and thresholds

c  Inputs:

c	C0, C1:  Complex arrays which will contain generated look-up table
c		range (-128:127)

      complex c0( -128:127 ), c1( -128:127 )
      integer di, dq

	real*4 w2(0:3)/.5227,1.7436,-.5227,-1.7436/

	do i = -128, 127

	    di = iand( ishft( i, -6 ), '00000003'x )
	    dq = iand( ishft( i, -4 ), '00000003'x )
	    c0( i ) = cmplx( w2( di ), -w2( dq ) )
	    di = iand( ishft( i, -2 ), '00000003'x )
	    dq = iand( i, '00000003'x )
	    c1( i ) = cmplx( w2( di ), -w2( dq ) )
d	type *, i, c0 ( i ), c1( i )
	end do
	return
      end
