C========================================================================
C normal.f
C------------------------------------------------------------------------
	subroutine normal(v)
C
C Abstract:
C	Returns a normalized vector for any input vector.
C
	implicit none

C Declarations:
C	Passing Parameters: 

	real v(3)

C	Constant Parameters: None.
C	Include files: None.
C
C Brief I/O:
C	Variable	I/O		Description
C       --------	---		------------
C	v		I/O		vector to be normalized.	
C
C Constant Parameters:
C	None.
C
C Common Blocks:
C	Name		I/O		Description
C       ----		---		------------
C	None.
C
C Detailed I/O through common blocks:
C
C	Variable	I/O		Description
C       --------	---		------------
C	TBD
C
C Files:
C	None.
C
C Author and Institution:
C	Michael Jin (JPL).
C
C References:
C	Source is obtainted from MGN/SDPS/PSP preprocessing software on VAX.
C
C Revised Information:
C	PPLIB 05-01-1992 (CLW) - To be compatible to Alliant FX/2800.
C
C========================================================================
C Local Variables:

	real vmag

	vmag=sqrt(v(1)**2+v(2)**2+v(3)**2)
	v(1)=v(1)/vmag
	v(2)=v(2)/vmag
	v(3)=v(3)/vmag

	return
	end

