/*----------------------------------------------------------------------------*/

	struct b_head {

		char part1[78];
		char orbit[5];
		char part2[305];
		char ptype[3];
		char part3[32109];
	};

/*----------------------------------------------------------------------------*/

	struct pp_time {

		double	burst_start[8600];
		double	burst_ref[8600];
		double	burst_center[8600];
		float	echo_delay[8600];

	};

/*----------------------------------------------------------------------------*/

	struct pp_ssp {

	float sc_x_j2000[8600];
	float sc_y_j2000[8600];
	float sc_z_j2000[8600];

	float sc_x_vbf[8600];
	float sc_y_vbf[8600];
	float sc_z_vbf[8600];

	float sc_vx_j2000[8600];
	float sc_vy_j2000[8600];
	float sc_vz_j2000[8600];

	float sc_vx_vbf[8600];
	float sc_vy_vbf[8600];
	float sc_vz_vbf[8600];

	float sc_ax_j2000[8600];
	float sc_ay_j2000[8600];
	float sc_az_j2000[8600];

	float sc_ax_vbf[8600];
	float sc_ay_vbf[8600];
	float sc_az_vbf[8600];

	float q1[8600];
	float q2[8600];
	float q3[8600];
	float q4[8600];

	float delta_q1[8600];
	float delta_q2[8600];
	float delta_q3[8600];
	float delta_q4[8600];

	float ubor_x_vme[8600];
	float ubor_y_vme[8600];
	float ubor_z_vme[8600];

	float ubor_x_vbf[8600];
	float ubor_y_vbf[8600];
	float ubor_z_vbf[8600];
	float look_ang[8600];

	};

/*----------------------------------------------------------------------------*/

	struct pp_bip {

	float bip_x_vbf[8600];
	float bip_y_vbf[8600];
	float bip_z_vbf[8600];

	float bip_lon[8600];
	float bip_lat[8600];
	float bip_elev[8600];

	float bip_inc_ang[8600];
	float bip_app_rg[8600];

	float bip_fd[8600];
	float bip_fd_drift[8600];

	};

/*----------------------------------------------------------------------------*/

	struct pp_mrp {

	float  mrp_incang[8600];
	float  mrp_bs_coef[8600];
	float  mrp_lat[8600];
	float  mrp_lon[8600];

	float  mrp_elev[8600];

	float  sample1_app_rg[8600];
	float  mrp_app_rg[8600];

	float  mrp_fd[8600];
	float  mrp_fr[8600];

	float  mrp_x_vme[8600];
	float  mrp_y_vme[8600];
	float  mrp_z_vme[8600];
	};

/*----------------------------------------------------------------------------*/

	struct sar_stat {

	short prf_code[8600];
	short n_echos[8600];
	short range_gate[8600];
	short coarse_res[8600];

	short fine_res[8600];
	long burst_period[8600];
	short alt_coarse_res[8600];
	char  sar_gain[8600];
	char error[8600];
	char test[8600];
	char anomaly[8600];
	short time_tag_mod210[8600];
	char	  time_tag_rim[8600][3];
	char	  time_tag_mod91[8600];
	char	  time_tag_mod10[8600];

	};

/*----------------------------------------------------------------------------*/

	struct var_local {

	long az_pow, c_pow, ia_size_m1, ic_size_m1, iaddw4, i_mu, ipj;
	long i_process, ir_pass, irg, irl, ixstart, iystart, islope;
	long maxcmnd, max_lk, min_lk, mlm_threshold;
	long n_0fill, na, nav_source, nrc, np, nintp, nr;
	long nrs, ns, ns_min, rg_pow, r_off_bound, r_planet;
	long burst_num, itest, ianomaly, ierror;
	long xt1, xt2, yt1, yt2, gs_raw;

	float alarm, alpha, alpha1, alpha2;
	float alphaf, ang_lk, cd, cr0, cspeed, c_rinbuf;
	float d_anglk,d0_rw, d1_rw, d1_rmp, d2_rmp, c1max, c1min;
	float c2max, c2min, c2start, c2end, c1min_m1,c1max_m1,c2min_m1;
	float c2max_m1, c2start_m1, c2end_m1, del_g, df, dlta_fa, dlta_r;
	float dlta_fc, dr, dt_v_1way, fd, fd_b, fd_f, fd_hi;
	float fd_lo, fd_m, fr_m, fs, f_dr, gbaq, gmass, goff;
	float gr, g_scale, i_m, ksp, lon0, nw, percen, pbw, qfd, prf;
	float ptr, rapp, rmcf_lrg_value, rappf, r0_2_rlo, rv, r_hi; 
	float r_lo, r_m, s2, s3, slant_r0;
	float tb_tp, theta_d, th_m, tm_tb;
	double t_b, t_m, t_p, t_85deg, t_sample, day, burst_start;
	float t_d, tsp_norm, v_sdotr, wavl, mu;
	float t_cable1, t_cable2, t_cable3, t_cable4, t_cable5;
	float rxu_a_state, onu_a_state, txu_a_state;
	float t_t1_a, t_t1_b, t_os_a, t_os_b, t_rx_a, t_rx_b;
	float lon_b, lat_b, lon_m, lat_m, i_b, e_b, e_m;
	float sigma_m, lat_ra, lon_ra, t_surface, t_cold_sky;
	float signal, calibration, t_antenna_obs, anglk_ra, height;
	float cable1_loss,cable2_loss,cable3_loss,cable4_loss,cable5_loss;
	float t_emission, t_si, t_op, kappa, coef_a, coef_b, coef_c;
	float ange_rg[3][3]; float angh_rg[3][3];
	float as_85[3], a_s[3], c[3], c1_g[3][3];
	float c2_g[3][3], c1_rg[3][3], c2_rg[3][3], c_rg[3][3];
	float coe_rmcf[3][3], coe_rmmem[3][3], coe_azint[3][3], d[3];
	float dc1_fc[2][2], dc1_g[3][3], dc1_rg[3][3], dc2_fc[2][2];
	float dc2_g[3][3], dc2_rg[3][3], dfd_g[3][3], dfd_rg[3][3];
	float dmp[9][4], dqm[4], dr_g[3][3], dr_rg[3][3];
	float e[3], coef[3], e_g[3][3], fd_g[3][3], fd_rg[3][3];
	float h[3], lat_g[3][3], lon_g[3][3], mu_a[3][3], mu_c1[3][3];
	float mu_c2[3][3], mu_g[3][3], mu_r[3][3], p[3], pf[3], pg[3];
	float q[4][4], qm[4], r[3], r_g[3][3], r_rg[3][3], tsup[9], vs_85[3];
	float v_b[3], v_s[3], x1_g[3][3], x2_g[3][3], x3_g[3][3];
	float x1_rg[3][3], x2_rg[3][3], x3_rg[3][3], xs_85[3], x_b[3];
	float x_b_f[3], x_m[3], x_s[3];
	float x_mgn_j2000[3], y_mgn_j2000[3], z_mgn_j2000[3];
	float x_mgn_vme[3], y_mgn_vme[3], z_mgn_vme[3];
	float x_mgn_vbf[3], y_mgn_vbf[3], z_mgn_vbf[3];
	float x_s_j2000[3],v_s_j2000[3],a_s_j2000[3];
	float x_s_vme[3],v_s_vme[3];
	float x_s_vbf[3],v_s_vbf[3],a_s_vbf[3];
	float sc_d[3][3], ant_gain[3][3], thresh[24];
	float p_vme[3], x_m_vme[3], xhat_vbf[3], yhat_vbf[3], zhat_vbf[3];
	float prf_in[950], pbw_in[950], t_pbw[950];
	double period,ecc,a;
	float pi, kappa_table[20][10];
	float t_emission_table[20][10];
	long set_no, r_offset;

	};
