C	***		
C	*** FILE NAME:		[STEREO.FBIDR]FBIDR_EXTRACTOR.FOR 
C	***		
C	*** LAST REVISED ON	15-NOV-1993 11:01:12.12
C	*** BEFORE THAT  ON	15-NOV-1993 10:49:16.76
C	***		
C	*** PROGRAMMER:		SCOTT SHAFFER
C	*** ORGANIZATION:	SEC 334 JPL
C	*** LANGUAGE:		VAX - 11 FORTRAN
C	***		
        CHARACTER*60 FBIDRLOC
        CHARACTER*60 FBIDRFILE
        CHARACTER*60 SWATHFILE
        CHARACTER*4 AORBIT
        CHARACTER*1 NC,NO
        INTEGER IDONE
        INTEGER ISKIP
        BYTE IBHDR(92)
        BYTE IMAGE(516,1024)

        REAL*8 AOE(5)
        INTEGER TOP(4)
        INTEGER NORBIT
        INTEGER NBSTS

        REAL*8 BLKRC1
        REAL*8 BLKRC2
        INTEGER BLKMAX
        INTEGER BLKCNT(10000)
        INTEGER BLKC1X(10000)
        INTEGER BLKC2X(10000)
        INTEGER BLKILN(10000)
        INTEGER BLKIPN(10000)
        INTEGER BLKPOS(10000)
        REAL*8 BLKLAT(10000)
        REAL*8 BLKLON(10000)

        COMMON/ORBIT_INFO/ NORBIT,NBSTS,AOE,TOP
        COMMON/BLKLOC/     BLKRC1,BLKRC2,BLKMAX,BLKCNT,BLKC1X,BLKC2X,
     &                     BLKLAT,BLKLON,BLKILN,BLKIPN,BLKPOS

        DATA IDONE/0/

        TYPE *,' '
        TYPE *,' '
        WRITE(6,616)
616     FORMAT(X,'Enter FBIDR Location: ',$)
        READ(5,555) FBIDRLOC
555     FORMAT(A60)
        IF ( FBIDRLOC .EQ. 'tape' ) FBIDRLOC='TAPE'
        IF ( FBIDRLOC .EQ. 'TAPE' ) THEN
          FBIDRFILE=FBIDRLOC
        ELSE
           CALL LENGTH(FBIDRLOC, LL)
           FBIDRFILE=FBIDRLOC(1:LL)//'FILE'//AORBIT
        ENDIF
        IF ( NORBIT .EQ. 0 .AND. IDONE .EQ. 0 ) THEN
          TYPE *,' '
          TYPE *,'Reading Ancillary Files'
          CALL GET_ORBIT_INFO(FBIDRFILE,ISTAT)
          TYPE *,' '
          TYPE 652,NORBIT
652       FORMAT(X,'FBIDR file for orbit ',I4.4)
          CALL GET_IMAGE_INDEX(FBIDRFILE,ISTAT)
          TYPE *,' '
        ENDIF
                     
C        ---- NEXT LINE COMMENTED OUT BY LYNNE 4/20/94 ----
C        DO 100,WHILE(IDONE .EQ. 0)
10000     CONTINUE
	  IF (IDONE .NE. 0) GOTO 100
          TYPE *,' '
          TYPE *,' Enter Function'
          TYPE *,' '
          TYPE *,'  1) Extract image'
          TYPE *,'  2) Calc Swath' 
          TYPE *,'  3) Display index'
          TYPE *,'  0) Quit'
          TYPE *,' '
          TYPE 601,'  Choice: '
601       FORMAT(X,A10,$)

          READ(5,502) NFUNC
502       FORMAT(A1)
          
          TYPE *,' '
          IF ( NFUNC .EQ. '1' ) THEN
            TYPE *,' '
            TYPE *,'Select Image by:'
            TYPE *,' '
            TYPE *,'  1) Image Block #'
            TYPE *,'  2) C1 coordinates'
            TYPE *,'  3) Latitude'
            TYPE *,' '
            TYPE 601,'  Choice: '
            READ(5,502) NC
            TYPE *,' '

            IF ( NC .EQ. '1' ) THEN
              TYPE 604,'Enter Start Image Block: '
604           FORMAT(X,A25,$)
              READ(5,*) IB1
              TYPE 604,'Enter Stop  Image Block: '
              READ(5,*) IB2
              IF ( IB1 .EQ. 0 ) IB1=1
              IF ( IB2 .EQ. 0 ) IB2=IB1
              LOOP1=IB1
              LOOP2=IB2
              IF ( LOOP1 .GT. ABS(BLKMAX)+1 ) LOOP1=ABS(BLKMAX)+1
              IF ( LOOP2 .GT. BLKMAX .AND. BLKMAX .GT. 0 ) LOOP2=BLKMAX 
C              TYPE 613,'Enter compression factor: '
C              READ(5,513) NCOMP
            ELSE IF ( NC .EQ. '2' ) THEN
              TYPE 606,'Enter Start C1: '
606           FORMAT(X,A16,$)
              READ(5,510) IC1
510           FORMAT(I7)
              TYPE 606,'Enter Stop  C1: '
              READ(5,510) IC2
C              TYPE 613,'Enter compression factor: '
C              READ(5,513) NCOMP
              CALL CONVERT_C1_TO_IB(IC1,IC2,LOOP1,LOOP2)
            ELSE IF ( NC .EQ. '3' ) THEN
              TYPE 608,'Enter Start latitude: '
608           FORMAT(X,A22,$)
              READ(5,*) XL1
              TYPE 608,'Enter Stop  latitude: '
              READ(5,*) XL2
C              TYPE 613,'Enter compression factor: '
613           FORMAT(X,A26,$)
C              READ(5,513) NCOMP
513           FORMAT(I3)
              CALL CONVERT_LAT_TO_IB(XL1,XL2,LOOP1,LOOP2)
            ENDIF
            IF (NC.EQ.'1' .OR. NC.EQ.'2' .OR. NC.EQ.'3') THEN
              TYPE *,' '
              TYPE *,'Select Output Format:'
              TYPE *,' '
              TYPE *,'  1) 512  X N Anotated Image'
              TYPE *,'  2) 512  X N Raw Image'
              TYPE *,'  3) 1024 X N Raw Image '
              TYPE *,' '
              TYPE 601,'  Choice: '
              READ(5,502) NO
              IF ( NO .EQ. ' ' ) NO='1'
              TYPE *,' '
              INEW=1
              ISKIP=0
C              TYPE *,'LOOPING FROM ',LOOP1,' TO ',LOOP2
              DO 110,IB=LOOP1,LOOP2
                IF ( ISKIP .EQ. 0 ) THEN
                  CALL GET_IMAGE_INFO(FBIDRFILE,IB,ISTAT)
                  IF ( ISTAT .EQ. 0 ) THEN
                    IF ( NC .EQ. '1' ) THEN
                      IF ( IB1 .LE. BLKCNT(IB) .AND. 
     &                     BLKCNT(IB) .LE. IB2) THEN
                        CALL GET_IMAGE_DATA(FBIDRFILE,IB,IBHDR,IMAGE)
                        CALL WRITE_IMAGE_DATA(IB,IMAGE,NO,INEW)
                      ENDIF
                    ELSE IF ( NC .EQ. '2' ) THEN
                      IF ( IC2 .LE. BLKC1X(IB)  .AND. 
     &                     BLKC1X(IB)-BLKILN(IB) .LE. IC1 ) THEN
                        CALL GET_IMAGE_DATA(FBIDRFILE,IB,IBHDR,IMAGE)
                        CALL WRITE_IMAGE_DATA(IB,IMAGE,NO,INEW)
                      ELSE IF ( BLKC1X(IB) .LT. IC2 ) THEN
                        ISKIP=1
                      ENDIF
                    ELSE IF ( NC .EQ. '3' ) THEN
                      IF ( XL2 .LE. BLKLAT(IB) .AND. 
     &                     BLKLAT(IB)-BLKILN(IB)*.00071 .LE. XL1 ) THEN
                        CALL GET_IMAGE_DATA(FBIDRFILE,IB,IBHDR,IMAGE)
                        CALL WRITE_IMAGE_DATA(IB,IMAGE,NO,INEW)
                      ELSE IF ( BLKLAT(IB) .LT. XL2 ) THEN
                        ISKIP=1
                      ENDIF
                    ENDIF
                  ELSE
                    ISKIP=1
                  ENDIF
C                  N=ICHKCHR()
C                  IF ( N .EQ. ICHAR(' ') .OR. N .EQ. 13 ) ISKIP=1
C                  IF ( N .EQ. ICHAR('Q') .OR. N .EQ. ICHAR('q') ) THEN
C                    ISKIP=1
C                    IDONE=1
C                  ENDIF
                  IF ( IB .EQ. LOOP2 .OR. ISKIP .EQ. 1 ) THEN
                    INEW=-1
                    CALL WRITE_IMAGE_DATA(IB,IMAGE,NO,INEW)
                  ENDIF
                ENDIF
110           CONTINUE
            ELSE
              TYPE *,' '
              TYPE *,'INVALID SELECTION'
              TYPE *,' '
            ENDIF
          ELSE IF ( NFUNC .EQ. '2' ) THEN
            TYPE 604,'Enter Start Image Block: '
            READ(5,*) IB1
            TYPE 604,'Enter Stop  Image Block: '
            READ(5,*) IB2
            TYPE 609,'Enter Step  increment: '
            READ(5,*) ISTEP
            IF ( IB1 .EQ. 0 ) IB1=1
            IF ( IB2 .EQ. 0 ) IB2=ABS(BLKMAX)
            LOOP1=IB1
            LOOP2=IB2
            IF ( LOOP1 .GT. ABS(BLKMAX)+1 ) LOOP1=ABS(BLKMAX)+1
            IF ( ISTEP .EQ. 0 ) ISTEP=1
            ISKIP=0

            WRITE(AORBIT,699) NORBIT
699         FORMAT(I4.4)
            SWATHFILE='IMAGE_SWATH_'//AORBIT//'.DAT'
            TYPE *,' '
            TYPE *,'Writing ',SWATHFILE
            TYPE *,' '
            OPEN(UNIT=40,NAME=SWATHFILE,FORM='FORMATTED',STATUS='UNKNOWN')
            WRITE(40,611) NORBIT,BLKMAX,BLKRC1,BLKRC2
611         FORMAT(I15,I15,F15.4,F15.4)
            DO 130,IB=LOOP1,LOOP2,ISTEP
              IF ( ISKIP .EQ. 0 ) THEN
                CALL GET_ISWATH_INFO(FBIDRFILE,IB,ISTAT,IQ1,IP1,IP2,IQ2)
                IF ( BLKMAX .GT. 0 .AND. IB .GT. BLKMAX ) ISKIP=1
                IF ( IB .GT. IB1 .AND. ISKIP .EQ. 0 ) THEN
                  WRITE(40,603) BLKCNT(IB),BLKC1X(IB),BLKC2X(IB),BLKLAT(IB),
     &                      BLKLON(IB),BLKILN(IB),BLKIPN(IB),IQ1,IP1,IP2,IQ2
                  IF ( MOD(IB,100) .EQ. 0 ) THEN 
                    WRITE(6,603) BLKCNT(IB),BLKC1X(IB),BLKC2X(IB),BLKLAT(IB),
     &                      BLKLON(IB),BLKILN(IB),BLKIPN(IB),IQ1,IP1,IP2,IQ2
                  ENDIF
603               FORMAT(I5,I12,I12,F12.4,F12.4,I5,I5,I4,I4,I4,I4)
                ENDIF
              ENDIF
130         CONTINUE
            CLOSE(40)
          ELSE IF ( NFUNC .EQ. '3' ) THEN
            TYPE 604,'Enter Start Image Block: '
            READ(5,*) IB1
            TYPE 604,'Enter Stop  Image Block: '
            READ(5,*) IB2
            TYPE 609,'Enter Step  increment: '
609         FORMAT(X,A23,$)              
            READ(5,*) ISTEP
            IF ( IB1 .EQ. 0 ) IB1=1
            IF ( IB2 .EQ. 0 ) IB2=ABS(BLKMAX)
            LOOP1=IB1
            LOOP2=IB2
            IF ( LOOP2 .GT. ABS(BLKMAX) ) LOOP2=ABS(BLKMAX)
            IF ( ISTEP .EQ. 0 ) ISTEP=500
            DO 120,IB=LOOP1,LOOP2,ISTEP
              WRITE(6,602) BLKCNT(IB),BLKC1X(IB),BLKC2X(IB),BLKLAT(IB),
     &                     BLKLON(IB),BLKILN(IB),BLKIPN(IB),BLKPOS(IB)
602           FORMAT(I5,I12,I12,F12.4,F12.4,I6,I6,I15)
120         CONTINUE
          ELSE IF (NFUNC.EQ.'0' .OR. NFUNC.EQ.'Q' .OR. NFUNC.EQ.'q') THEN
            IDONE=1
          ELSE
            TYPE *,' '
            TYPE *,'NOT A VALID CHOICE,  RE-ENTER'
            TYPE *,' '
          ENDIF
C	---- NEXT LINE ADDED BY LYNNE 4/20/94 ----
        GOTO 10000
100     CONTINUE

        CALL WRITE_IMAGE_INDEX
        TYPE *,' '
        TYPE *, 'DISPLAY_FBIDR DONE'  
        TYPE *,' '
        END

        SUBROUTINE WRITE_IMAGE_DATA(IB,IMAGE,NO,INEW)
          BYTE IMAGE(516,1024)
          BYTE FILL(512)
          CHARACTER*1 NO
          CHARACTER*60 OUTFILE
          CHARACTER*4 AORBIT
          CHARACTER*2 ALAT
          CHARACTER*1 ASGN
          INTEGER IOPEN
          DATA IOPEN/0/
          REAL*8 R1,R2,R3,R4

          REAL*8 AOE(5)
          INTEGER TOP(4)
          INTEGER NORBIT
          INTEGER NBSTS


          REAL*8 BLKRC1
          REAL*8 BLKRC2
          INTEGER BLKMAX
          INTEGER BLKCNT(10000)
          INTEGER BLKC1X(10000)
          INTEGER BLKC2X(10000)
          INTEGER BLKILN(10000)
          INTEGER BLKIPN(10000)
          INTEGER BLKPOS(10000)
          REAL*8 BLKLAT(10000)
          REAL*8 BLKLON(10000)

          COMMON/ORBIT_INFO/ NORBIT,NBSTS,AOE,TOP
          COMMON/BLKLOC/     BLKRC1,BLKRC2,BLKMAX,BLKCNT,BLKC1X,BLKC2X,
     &                       BLKLAT,BLKLON,BLKILN,BLKIPN,BLKPOS

          IF ( NO .EQ. '1' ) THEN
            IF ( INEW .EQ. 1 ) THEN
              IF ( IOPEN .EQ. 1 ) CLOSE(23)
              WRITE(AORBIT,699) NORBIT
699           FORMAT(I4.4)
              IF ( BLKLAT(IB) .GE. 0. ) THEN
                ASGN='N'
              ELSE
                ASGN='S'
              ENDIF
              WRITE(ALAT,698) ABS(NINT(BLKLAT(IB)))
698           FORMAT(I2.2)
              OUTFILE='FBIDR_'//AORBIT//'.'//ASGN//ALAT
              TYPE *,' '
              TYPE *,'Creating (1) ',OUTFILE
              OPEN(UNIT=23,FORM='UNFORMATTED',STATUS='UNKNOWN',ACCESS='DIRECT',
     1             RECL=524,NAME=OUTFILE)
C     1             RECL=131,NAME=OUTFILE)
              NLINES=0
              NPIXS=512
              WRITE(23,REC=1) NORBIT,BLKRC1,BLKRC2,BLKLAT(IB),BLKLON(IB),
     &                        BLKC1X(IB),BLKC2X(IB),NLINES,NPIXS
              INEW=0
              IOPEN=1
            ENDIF
            IF ( INEW .EQ. 0 ) THEN
              DO 110,IL=1,BLKILN(IB)
                NLINES=NLINES+1
                WRITE(23,REC=NLINES+1) BLKC1X(IB)-IL+1,BLKC2X(IB),(IMAGE(IP,IL),IP=1,516)
110           CONTINUE
            ENDIF
            IF ( INEW .EQ. -1 .AND. IOPEN .EQ. 1 ) THEN
              READ(23,REC=1)  N1,R1,R2,R3,R4,N2,N3,N4,N5
              WRITE(23,REC=1) N1,R1,R2,R3,R4,N2,N3,NLINES,N5
              INEW=0
              IOPEN=0
              CLOSE(23)
            ENDIF            
          ELSE IF ( NO .EQ. '2' ) THEN
            IF ( INEW .EQ. 1 ) THEN
              IF ( IOPEN .EQ. 1 ) CLOSE(23)
              WRITE(AORBIT,699) NORBIT
              OUTFILE='FBIDR_IMAGE_'//AORBIT//'.DAT'
              TYPE *,' '
              TYPE *,'Creating (2)',OUTFILE
              OPEN(UNIT=23,FORM='UNFORMATTED',STATUS='UNKNOWN',ACCESS='DIRECT',
     1             RECL=512,NAME=OUTFILE)
C     1             RECL=128,NAME=OUTFILE)
              IC2FIX=BLKC2X(IB)
              IIL=0
              INEW=0
              IOPEN=1
            ENDIF
            IF ( INEW .EQ. 0 ) THEN
              ISHIFT=BLKC2X(IB)-IC2FIX
              DO 210,IL=1,BLKILN(IB)
                IIL=IIL+1
                IF ( ISHIFT .EQ. 0 ) THEN
                  WRITE(23,REC=IIL) (IMAGE(IP,IL),IP=1+4,512+4)
                ELSE IF ( ISHIFT .LT. 512 ) THEN
                  WRITE(23,REC=IIL) (FILL(IIP),IIP=1,ISHIFT),(IMAGE(IP,IL),
     &                                IP=1+4,512+4-ISHIFT)
                ELSE
                  WRITE(23,REC=IIL) (FILL(IIP),IIP=1,512)
                ENDIF
210           CONTINUE
            ENDIF
            IF ( INEW .EQ. -1 ) THEN
              CLOSE(23)
              INEW=0
              IOPEN=0
            ENDIF
          ENDIF
        RETURN
        END

        SUBROUTINE WRITE_IMAGE_INDEX
        CHARACTER*60 INDEXFILE
        CHARACTER*4 AORBIT

        REAL*8 AOE(5)
        INTEGER TOP(4)
        INTEGER NORBIT
        INTEGER NBSTS

        REAL*8 BLKRC1
        REAL*8 BLKRC2
        INTEGER BLKMAX
        INTEGER BLKCNT(10000)
        INTEGER BLKC1X(10000)
        INTEGER BLKC2X(10000)
        INTEGER BLKILN(10000)
        INTEGER BLKIPN(10000)
        INTEGER BLKPOS(10000)
        REAL*8 BLKLAT(10000)
        REAL*8 BLKLON(10000)

        COMMON/ORBIT_INFO/ NORBIT,NBSTS,AOE,TOP
        COMMON/BLKLOC/     BLKRC1,BLKRC2,BLKMAX,BLKCNT,BLKC1X,
     &                     BLKC2X,BLKLAT,BLKLON,BLKILN,BLKIPN,BLKPOS

          WRITE(AORBIT,699) NORBIT
699       FORMAT(I4.4)
          INDEXFILE='IMAGE_INDEX_'//AORBIT//'.DAT'
          TYPE *,' '
          TYPE *,'Writing ',INDEXFILE
          OPEN(UNIT=30,NAME=INDEXFILE,FORM='FORMATTED',STATUS='UNKNOWN')
          WRITE(30,601) NORBIT,BLKMAX,BLKRC1,BLKRC2
          DO 200,IB=1,ABS(BLKMAX)+1
            WRITE(30,602) BLKCNT(IB),BLKC1X(IB),BLKC2X(IB),BLKLAT(IB),
     &                    BLKLON(IB),BLKILN(IB),BLKIPN(IB),BLKPOS(IB)
            IF ( MOD(IB,200) .EQ. 0 ) THEN 
              WRITE(6,602) BLKCNT(IB),BLKC1X(IB),BLKC2X(IB),BLKLAT(IB),
     &                     BLKLON(IB),BLKILN(IB),BLKIPN(IB),BLKPOS(IB)
            ENDIF
200       CONTINUE
          CLOSE(30)
          TYPE *,' '
          RETURN
601       FORMAT(I15,I15,F15.4,F15.4)
602       FORMAT(I5,I12,I12,F12.4,F12.4,I6,I6,I15)
        END

        SUBROUTINE GET_IMAGE_INDEX(FBIDRFILE,ISTAT)

        CHARACTER*60 FBIDRFILE
        CHARACTER*60 INDEXFILE
        CHARACTER*4 AORBIT
        BYTE IBHDR(92)

        REAL*8 AOE(5)
        INTEGER TOP(4)
        INTEGER NORBIT
        INTEGER NBSTS

        REAL*8 BLKRC1
        REAL*8 BLKRC2
        INTEGER BLKMAX
        INTEGER BLKCNT(10000)
        INTEGER BLKC1X(10000)
        INTEGER BLKC2X(10000)
        INTEGER BLKILN(10000)
        INTEGER BLKIPN(10000)
        INTEGER BLKPOS(10000)
        REAL*8 BLKLAT(10000)
        REAL*8 BLKLON(10000)

        COMMON/ORBIT_INFO/ NORBIT,NBSTS,AOE,TOP
        COMMON/BLKLOC/     BLKRC1,BLKRC2,BLKMAX,BLKCNT,BLKC1X,
     &                     BLKC2X,BLKLAT,BLKLON,BLKILN,BLKIPN,BLKPOS

        BLKMAX=0
        WRITE(AORBIT,699) NORBIT
699     FORMAT(I4.4)
        INDEXFILE='IMAGE_INDEX_'//AORBIT//'.DAT'
        INQUIRE(FILE=INDEXFILE,EXIST=IST)
        IF ( IST .EQ. .TRUE. ) THEN

          TYPE *,' '
          TYPE *,'Reading ',INDEXFILE
          OPEN(UNIT=30,NAME=INDEXFILE,FORM='FORMATTED',STATUS='OLD')
          READ(30,601) NNNN,BLKMAX,BLKRC1,BLKRC2
601       FORMAT(I15,I15,F15.4,F15.4)
          IF ( NNNN .NE. NORBIT ) STOP 'INDEX ORBIT NUMBER ERROR'
          DO 100,IB=1,ABS(BLKMAX)+1
            READ(30,602) BLKCNT(IB),BLKC1X(IB),BLKC2X(IB),BLKLAT(IB),
     &                    BLKLON(IB),BLKILN(IB),BLKIPN(IB),BLKPOS(IB)
602         FORMAT(I5,I12,I12,F12.4,F12.4,I6,I6,I15)
            IF ( MOD(IB,200) .EQ. 0 ) THEN 
              WRITE(6,602) BLKCNT(IB),BLKC1X(IB),BLKC2X(IB),BLKLAT(IB),
     &                     BLKLON(IB),BLKILN(IB),BLKIPN(IB),BLKPOS(IB)
            ENDIF
100       CONTINUE
          CLOSE(30)
        ELSE
          IB=1
          BLKMAX=0
          BLKPOS(IB)=1
        ENDIF
        RETURN
        END

        SUBROUTINE GET_ISWATH_INFO(FBIDRFILE,IB,ISTAT,IQ1,IP1,IP2,IQ2)
          BYTE IBHDR(608)
          BYTE IBUFF(262144)
          BYTE IMAGE(516,1024)
          CHARACTER*60 IMAGEFILE
          CHARACTER*60 FBIDRFILE
          CHARACTER*8 ASIZE
          BYTE BSIZE(8)
          EQUIVALENCE(BSIZE,ASIZE)
          INTEGER NSIZE
          INTEGER NFILE

          DATA NFILE/15/
C
C COMMON VARIABLES
C
          REAL*8 BLKRC1
          REAL*8 BLKRC2
          INTEGER BLKMAX
          INTEGER BLKCNT(10000)
          INTEGER BLKC1X(10000)
          INTEGER BLKC2X(10000)
          INTEGER BLKILN(10000)
          INTEGER BLKIPN(10000)
          INTEGER BLKPOS(10000)
          REAL*8 BLKLAT(10000)
          REAL*8 BLKLON(10000)

          COMMON/BLKLOC/     BLKRC1,BLKRC2,BLKMAX,BLKCNT,BLKC1X,BLKC2X,
     &                        BLKLAT,BLKLON,BLKILN,BLKIPN,BLKPOS


          BYTE FBUFF(32500)
          INTEGER NROLD

          COMMON/FBUFFER/ FBUFF,NROLD

          IBPOS1=BLKPOS(IB)
          IBPOS2=BLKPOS(IB)+95+512
          IBLEN=IBPOS2-IBPOS1
          NR1=INT((IBPOS1-1)/32500)+1
          NR2=INT((IBPOS2-2)/32500)+1
          NSFDU=0
          DO 100, NR=NR1,NR2
            IF ( NR .NE. NROLD ) THEN
              IF ( FBIDRFILE .EQ. 'TAPE' ) THEN
                CALL GET_TAPE_RECORD(NFILE,NR,FBUFF,NRS,ISTAT)
              ELSE
                CALL GET_DISK_RECORD(NFILE,NR,FBUFF,NRS,ISTAT,FBIDRFILE)
              ENDIF
              NROLD=NR
            ENDIF
            NP1=MAX(1,	IBPOS1-(NR-1)*32500)
            NP2=MIN(32500,IBPOS1-(NR-1)*32500+IBLEN)
            NMOVE=NP2-NP1+1
            IF ( NR .EQ. NR1 ) THEN
              NRECTT=NR
              NPOSTT=NP1
            ENDIF
C            TYPE *,NR,NP1,NP2,NSFDU,NMOVE,NA
            DO 110,N=NP1,NP2
              NSFDU=NSFDU+1
              IBHDR(NSFDU)=FBUFF(N)
110         CONTINUE
100       CONTINUE
          IF ( IBHDR(1) .EQ. 78 ) THEN
            CALL CONV_BYTES_TO_INT2(IBHDR,22,2,NSTYPE)
            IF ( NSTYPE .NE. 2 ) THEN
               TYPE *,' NOT IMAGE DATA ***'
               TYPE *,'SECONDARY HEADER LABEL = ',NSTYPE
               STOP
            ENDIF
C            CALL CONV_BYTES_TO_INT2(IBHDR,24,2,NSLEN)
C            CALL CONV_BYTES_TO_INT2(IBHDR,26,2,NORBVAL)
            CALL CONV_BYTES_TO_INT2(IBHDR,30,2,ILCNT)
            CALL CONV_BYTES_TO_INT2(IBHDR,32,2,IPCNT)
            IF ( IB .EQ. 1 ) THEN
              CALL CONV_BYTES_TO_REAL(IBHDR,36-3,XLAT)
              CALL CONV_BYTES_TO_REAL(IBHDR,40-3,XLON)
              BLKRC1=XLAT
              BLKRC2=XLON
            ENDIF
            CALL CONV_BYTES_TO_REAL(IBHDR,44-3,XXLAT)
            CALL CONV_BYTES_TO_REAL(IBHDR,48-3,XXLON)
            CALL CONV_BYTES_TO_INT3(IBHDR,52,NC1)
            CALL CONV_BYTES_TO_INT3(IBHDR,56,NC2)
            CALL CONV_BYTES_TO_INT2(IBHDR,94,2,IP1)
            CALL CONV_BYTES_TO_INT2(IBHDR,96,2,IP2)
            BSIZE(1)=IBHDR(13)
            BSIZE(2)=IBHDR(14)
            BSIZE(3)=IBHDR(15)
            BSIZE(4)=IBHDR(16)
            BSIZE(5)=IBHDR(17)
            BSIZE(6)=IBHDR(18)
            BSIZE(7)=IBHDR(19)
            BSIZE(8)=IBHDR(20)
            READ(ASIZE,500) NSIZE
500         FORMAT(I8)
            NSIZE=NSIZE+20
            IQ1=512
            IQ2=512
            DO 400,I=1,512
              IF ( IBHDR(I+1) .NE. 0 ) THEN
                IF ( IQ1 .EQ. 512 ) IQ1=I-1
                IQ2=I-1
              ENDIF
400         CONTINUE


C            TYPE *,'ORBIT NUMBER FROM SECONDARY HEADER = ',NORBVAL
C            TYPE *,'REFERENCE LATITUDE = ',XLAT
C            TYPE *,'REFERENCE LONGITUE = ',XLON
C            TYPE *,'NUMBER OF IMAGE LINES IN SFDU = ',ILCNT
C            TYPE *,'LENGTH OF SECONDARY HEADER = ',NSLEN
C            TYPE *,'XXLAT = ',XXLAT
C            TYPE *,'XXLON = ',XXLON
C            TYPE *,'C1 = ',NC1
C            TYPE *,'C2 = ',NC2
C            TYPE *,'NSIZE = ',NSIZE

            IF (ABS(BLKMAX) .LT. IB) BLKMAX=-IB
            BLKCNT(IB)=IB
            BLKLAT(IB)=XXLAT
            BLKLON(IB)=XXLON
            BLKC1X(IB)=NC1
            BLKC2X(IB)=NC2
            BLKILN(IB)=ILCNT
            BLKIPN(IB)=IPCNT-4
            BLKPOS(IB+1)=BLKPOS(IB)+92+ILCNT*IPCNT
            IF ( MOD(IB,100) .EQ. 0 ) TYPE *,' AT BLOCK ',IB,'     LAT = ',XXLAT
            
          ELSE
           BLKMAX=ABS(BLKMAX)
           IF ( ISTAT .EQ. 0 ) THEN
             TYPE *,'NJPL NOT FOUND ',(IBUFF(I),I=1,12)
             TYPE *,'IB = ',IB,'   BLKMAX=',BLKMAX
             TYPE *,'IBPOS1 = ',IBPOS1,'   IBPOS2=',IBPOS2
             TYPE *,'BLKCNT(IB)= ' ,BLKCNT(IB)
             TYPE *,'BLKPOS(IB)= ' ,BLKPOS(IB)
           ENDIF
           ISTAT=1
          ENDIF
        RETURN
        END

        SUBROUTINE GET_IMAGE_INFO(FBIDRFILE,IB,ISTAT)
          BYTE IBHDR(92)
          BYTE IBUFF(262144)
          BYTE IMAGE(516,1024)
          CHARACTER*60 IMAGEFILE
          CHARACTER*60 FBIDRFILE
          CHARACTER*8 ASIZE
          BYTE BSIZE(8)
          EQUIVALENCE(BSIZE,ASIZE)
          INTEGER NSIZE
          INTEGER NFILE

          DATA NFILE/15/
C
C COMMON VARIABLES
C
          REAL*8 BLKRC1
          REAL*8 BLKRC2
          INTEGER BLKMAX
          INTEGER BLKCNT(10000)
          INTEGER BLKC1X(10000)
          INTEGER BLKC2X(10000)
          INTEGER BLKILN(10000)
          INTEGER BLKIPN(10000)
          INTEGER BLKPOS(10000)
          REAL*8 BLKLAT(10000)
          REAL*8 BLKLON(10000)

          COMMON/BLKLOC/     BLKRC1,BLKRC2,BLKMAX,BLKCNT,BLKC1X,BLKC2X,
     &                        BLKLAT,BLKLON,BLKILN,BLKIPN,BLKPOS


          BYTE FBUFF(32500)
          INTEGER NROLD

          COMMON/FBUFFER/ FBUFF,NROLD

          IBPOS1=BLKPOS(IB)
          IBPOS2=BLKPOS(IB)+91
          IBLEN=IBPOS2-IBPOS1
          NR1=INT((IBPOS1-1)/32500)+1
          NR2=INT((IBPOS2-2)/32500)+1
          NSFDU=0
          DO 100, NR=NR1,NR2
            IF ( NR .NE. NROLD ) THEN
              IF ( FBIDRFILE .EQ. 'TAPE' ) THEN
                CALL GET_TAPE_RECORD(NFILE,NR,FBUFF,NRS,ISTAT)
              ELSE
                CALL GET_DISK_RECORD(NFILE,NR,FBUFF,NRS,ISTAT,FBIDRFILE)
              ENDIF
              NROLD=NR
            ENDIF
            NP1=MAX(1,	IBPOS1-(NR-1)*32500)
            NP2=MIN(32500,IBPOS1-(NR-1)*32500+IBLEN)
            NMOVE=NP2-NP1+1
            IF ( NR .EQ. NR1 ) THEN
              NRECTT=NR
              NPOSTT=NP1
            ENDIF
C            TYPE *,NR,NP1,NP2,NSFDU,NMOVE,NA
            DO 110,N=NP1,NP2
              NSFDU=NSFDU+1
              IBHDR(NSFDU)=FBUFF(N)
110         CONTINUE
100       CONTINUE
          IF ( IBHDR(1) .EQ. 78 ) THEN
            CALL CONV_BYTES_TO_INT2(IBHDR,22,2,NSTYPE)
            IF ( NSTYPE .NE. 2 ) THEN
               TYPE *,' NOT IMAGE DATA ***'
               TYPE *,'SECONDARY HEADER LABEL = ',NSTYPE
               STOP
            ENDIF
C            CALL CONV_BYTES_TO_INT2(IBHDR,24,2,NSLEN)
C            CALL CONV_BYTES_TO_INT2(IBHDR,26,2,NORBVAL)
            CALL CONV_BYTES_TO_INT2(IBHDR,30,2,ILCNT)
            CALL CONV_BYTES_TO_INT2(IBHDR,32,2,IPCNT)
            IF ( IB .EQ. 1 ) THEN
              CALL CONV_BYTES_TO_REAL(IBHDR,36-3,XLAT)
              CALL CONV_BYTES_TO_REAL(IBHDR,40-3,XLON)
              BLKRC1=XLAT
              BLKRC2=XLON
            ENDIF
            CALL CONV_BYTES_TO_REAL(IBHDR,44-3,XXLAT)
            CALL CONV_BYTES_TO_REAL(IBHDR,48-3,XXLON)
            CALL CONV_BYTES_TO_INT3(IBHDR,52,NC1)
            CALL CONV_BYTES_TO_INT3(IBHDR,56,NC2)
            BSIZE(1)=IBHDR(13)
            BSIZE(2)=IBHDR(14)
            BSIZE(3)=IBHDR(15)
            BSIZE(4)=IBHDR(16)
            BSIZE(5)=IBHDR(17)
            BSIZE(6)=IBHDR(18)
            BSIZE(7)=IBHDR(19)
            BSIZE(8)=IBHDR(20)
            READ(ASIZE,500) NSIZE
500         FORMAT(I8)
            NSIZE=NSIZE+20

C            TYPE *,'ORBIT NUMBER FROM SECONDARY HEADER = ',NORBVAL
C            TYPE *,'REFERENCE LATITUDE = ',XLAT
C            TYPE *,'REFERENCE LONGITUE = ',XLON
C            TYPE *,'NUMBER OF IMAGE LINES IN SFDU = ',ILCNT
C            TYPE *,'LENGTH OF SECONDARY HEADER = ',NSLEN
C            TYPE *,'XXLAT = ',XXLAT
C            TYPE *,'XXLON = ',XXLON
C            TYPE *,'C1 = ',NC1
C            TYPE *,'C2 = ',NC2
C            TYPE *,'NSIZE = ',NSIZE

            IF (ABS(BLKMAX) .LT. IB) BLKMAX=-IB
            BLKCNT(IB)=IB
            BLKLAT(IB)=XXLAT
            BLKLON(IB)=XXLON
            BLKC1X(IB)=NC1
            BLKC2X(IB)=NC2
            BLKILN(IB)=ILCNT
            BLKIPN(IB)=IPCNT-4
            BLKPOS(IB+1)=BLKPOS(IB)+92+ILCNT*IPCNT
            IF ( MOD(IB,100) .EQ. 0 ) TYPE *,' AT BLOCK ',IB,'     LAT = ',XXLAT
            
          ELSE
           BLKMAX=ABS(BLKMAX)
           IF ( ISTAT .EQ. 0 ) THEN
             TYPE *,'NJPL NOT FOUND ',(IBUFF(I),I=1,12)
             TYPE *,'IB = ',IB,'   BLKMAX=',BLKMAX
             TYPE *,'IBPOS1 = ',IBPOS1,'   IBPOS2=',IBPOS2
             TYPE *,'BLKCNT(IB)= ' ,BLKCNT(IB)
             TYPE *,'BLKPOS(IB)= ' ,BLKPOS(IB)
           ENDIF
           ISTAT=1
          ENDIF
        RETURN
        END

        SUBROUTINE GET_IMAGE_DATA(FBIDRFILE,IB,IBHDR,IMAGE)
           BYTE IBHDR(92)
           BYTE IBUFF(524288)
           BYTE IMAGE(516,1024)
           CHARACTER*60 IMAGEFILE
           CHARACTER*60 FBIDRFILE
           CHARACTER*8 ASIZE
           BYTE BSIZE(8)
           EQUIVALENCE(BSIZE,ASIZE)
           INTEGER NSIZE
           INTEGER NFILE

           DATA NFILE/15/
C
C COMMON VARIABLES
C
           REAL*8 BLKRC1
           REAL*8 BLKRC2
           INTEGER BLKMAX
           INTEGER BLKCNT(10000)
           INTEGER BLKC1X(10000)
           INTEGER BLKC2X(10000)
           INTEGER BLKILN(10000)
           INTEGER BLKIPN(10000)
           INTEGER BLKPOS(10000)
           REAL*8 BLKLAT(10000)
           REAL*8 BLKLON(10000)

           COMMON/BLKLOC/     BLKRC1,BLKRC2,BLKMAX,BLKCNT,BLKC1X,BLKC2X,
     &                        BLKLAT,BLKLON,BLKILN,BLKIPN,BLKPOS

           BYTE FBUFF(32500)
           INTEGER NROLD

           COMMON/FBUFFER/ FBUFF,NROLD

            IBPOS1=BLKPOS(IB)+92
            IBPOS2=BLKPOS(IB+1)
            IBLEN=IBPOS2-IBPOS1
            NR1=INT((IBPOS1-1)/32500)+1
            NR2=INT((IBPOS2-2)/32500)+1
            NI=0
            DO 200, NR=NR1,NR2
              IF ( NR .NE. NROLD ) THEN
                IF ( FBIDRFILE .EQ. 'TAPE' ) THEN
                  CALL GET_TAPE_RECORD(NFILE,NR,FBUFF,NRS,ISTAT)
                ELSE
                  CALL GET_DISK_RECORD(NFILE,NR,FBUFF,NRS,ISTAT,FBIDRFILE)
                ENDIF
                NROLD=NR
              ENDIF
              NP1=MAX(1,IBPOS1-(NR-1)*32500)
              NP2=MIN(32500,IBPOS1-(NR-1)*32500+IBLEN)
              NMOVE=NP2-NP1+1
              IF ( NR .EQ. NR1 ) THEN
                NRECTT=NR
                NPOSTT=NP1
              ENDIF
C              TYPE *,NR,NP1,NP2,NSFDU,NMOVE,NA
              DO 210,N=NP1,NP2
                NI=NI+1
                IBUFF(NI)=FBUFF(N)
210           CONTINUE
200         CONTINUE
            DO 300, IL=1,BLKILN(IB)
              IOFF=(IL-1)*(BLKIPN(IB)+4)
              CALL CONV_BYTES_TO_INT2(IBUFF,IOFF+2,2,IP1)
              CALL CONV_BYTES_TO_INT2(IBUFF,IOFF+4,2,IP2)
              DO 310,IP=1,BLKIPN(IB)+4
C                IF ( IP .GE. IP1 .AND. IP .LE. IP2 ) THEN
                  IMAGE(IP,IL)=IBUFF(IOFF+IP)
C                ELSE
C                  IMAGE(IP,IL)=0
C                ENDIF
310           CONTINUE
300         CONTINUE
        RETURN
        END

        SUBROUTINE GET_ORBIT_INFO(FBIDRFILE,ISTAT)
        BYTE RBUFF(32500)
        CHARACTER*60 FBIDRFILE
        CHARACTER*60 AOEFILE
        CHARACTER*4 AORBIT

        REAL*8 AOE(5)
        INTEGER TOP(4)
        INTEGER NORBIT
        INTEGER NBSTS
        
        COMMON/ORBIT_INFO/ NORBIT,NBSTS,AOE,TOP
 
           NFILE=2
           NREC=1
           IF ( FBIDRFILE .EQ. 'TAPE' ) THEN
              CALL GET_TAPE_RECORD(NFILE,NREC,RBUFF,NRS,ISTAT)
           ELSE
              CALL GET_DISK_RECORD(NFILE,NREC,RBUFF,NRS,ISTAT,FBIDRFILE)
           ENDIF
           IF ( ISTAT .NE. 0 ) THEN
              IF ( ISTAT .EQ. 1 .OR . (FBIDRFILE.EQ.'TAPE'.AND.ISTAT.EQ.4) ) THEN
C                 TYPE *,'END OF ORBIT HEADER FILE'
              ELSE
                 STOP 'ERROR READING ORBIT HEADER FILE'
              ENDIF
           ENDIF
           CALL CONV_ASCII_TO_INT(RBUFF,13,8,NLOFF)
           NLOFF=NLOFF+21
           CALL CONV_ASCII_TO_INT(RBUFF,(  0+NLOFF),5,NORBIT)
           CALL CONV_ASCII_TO_INT(RBUFF,(161+NLOFF),4,NBSTS)
           CALL CONV_ASCII_TO_INT(RBUFF,(175+NLOFF),8,TOP(1))
           CALL CONV_ASCII_TO_INT(RBUFF,(184+NLOFF),2,TOP(2))
           CALL CONV_ASCII_TO_INT(RBUFF,(187+NLOFF),1,TOP(3))
           CALL CONV_ASCII_TO_INT(RBUFF,(189+NLOFF),1,TOP(4))
           CALL CONV_ASCII_TO_DREAL(RBUFF,(190+NLOFF),23,AOE(1))
           CALL CONV_ASCII_TO_DREAL(RBUFF,(213+NLOFF),23,AOE(2))
           CALL CONV_ASCII_TO_DREAL(RBUFF,(236+NLOFF),23,AOE(3))
           CALL CONV_ASCII_TO_DREAL(RBUFF,(259+NLOFF),23,AOE(4))
           CALL CONV_ASCII_TO_DREAL(RBUFF,(282+NLOFF),23,AOE(5))
        WRITE(AORBIT,699) NORBIT
699     FORMAT(I4.4)
        AOEFILE='AOE_'//AORBIT//'.DAT'
        INQUIRE(FILE=AOEFILE,EXIST=IST)
        IF ( IST .EQ. .FALSE. ) THEN
          TYPE *,'Creating (3)',AOEFILE
          OPEN(UNIT=30,NAME=AOEFILE,STATUS='UNKNOWN',FORM='FORMATTED')
          WRITE(30,610) AOE(1)
          WRITE(30,612) AOE(2)
          WRITE(30,614) AOE(3)
          WRITE(30,616) AOE(4)
          WRITE(30,618) AOE(5)
          WRITE(30,620) TOP(1),TOP(2),TOP(3),TOP(4)
610       FORMAT(X,E25.15,3X,' MAJOR AXIS ')
612       FORMAT(X,E25.15,3X,' ECCENTRICITY ')
614       FORMAT(X,E25.15,3X,' INCLINATION ')
616       FORMAT(X,E25.15,3X,' LONGITUDE OF ASCENDING NODE ')
618       FORMAT(X,E25.15,3X,' ARGUMENT OF PERIAPSIS ')
620       FORMAT(X,I16,':',I2.2,':',I2.2,':',I2.2,3X,' TIME OF PERIAPSIS ')
          CLOSE(30)
        ENDIF
        RETURN
        END

        SUBROUTINE GET_TAPE_RECORD(NFILE,NREC,RBUFF,NRS,ISTAT)
C 
C       For this subrout ine to work properly,
C       execute the following commands before running.
C
C       ALLOCATE MSA0:
C       MOUNT/FOR MSA0:
C       ASSIGN MSA0: TAPE:
C
        integer NFILE,NREC,NRS,ISTAT
        byte RBUFF(32500)
        INTEGER NFC,NRC,INIT
        CHARACTER*4  HLABEL
        CHARACTER*20 FLABEL
        DATA NFC/0/
        DATA NRC/0/
        DATA LNF/0/
        DATA LNR/0/
        DATA INIT/0/
        DATA NTAPE/1/
        IF ( INIT .EQ. 0 ) THEN 			! If this is the first time 
           WRITE(6,*) 'Initializing Tape'		! that the rout ine is called,
           call tapio(1,RBUFF,32500,NRS)		! Initialize tapedrive
           call tapio(6,L,32500,NRS)			! Rewind tapedrive
           INIT=1
        ENDIF
        IF ( LNF .EQ. 0 .OR. NFILE .NE. LNF .OR. NREC .LE. LNR) THEN
        LNF=0
        LNR=0
        IF ( NREC .GT. 0 ) THEN
           IF ( NTAPE .EQ. 1 ) THEN
              IF ( NFC .GT. NFILE ) THEN
                 WRITE(6,*) 'TAPE BEYOND DESIRED RECORD'
                 WRITE(6,*) 'REWINDING TAPE TO READ AGAIN'
                 call tapio(6,L,32500,NRS)			! Rewind tapedrive
                 NFC=0
                 NRC=0
                 NRS=0
              ENDIF
           ELSE
              IF (NFC .GT. NFILE) THEN
                 IF (  (NFILE .GT. NFCT2) .OR.
     1                     (NFILE .EQ. NFCT2 .AND. NREC .GE. NRCT2)  ) THEN
                    WRITE(6,*) 'TAPE2 BEYOND DESIRED RECORD'
                    WRITE(6,*) 'REWINDING TAPE2 TO READ AGAIN'
                    call tapio(6,L,32500,NRS)			! Rewind tapedrive
                    NFC=NFCT2
                    NRC=NRCT2
                    NRS=0
                 ELSE
                    WRITE(6,*) 'DESIRED RECORD ON TAPE 1'
                    WRITE(6,*) 'REWINDING TAPE2'
                    call tapio(6,L,32500,NRS)			! Rewind tapedrive
                    NFC=0
                    NRC=0
                    NRS=0
                    WRITE(6,*) 'Mount TAPE 1 and type <RET> when ready'
                    READ(5,556) I
556                 FORMAT(I6) 
                    NTAPE=1
                 ENDIF
              ELSE IF (NFILE .EQ. NFC .AND. NREC .LT. NRCT2) THEN
                 WRITE(6,*) 'DESIRED RECORD ON TAPE 1'
                 WRITE(6,*) 'REWINDING TAPE2'
                 call tapio(6,L,32500,NRS)			! Rewind tapedrive
                 NFC=0
                 NRC=0
                 NRS=0
                 WRITE(6,*) 'Mount TAPE 1 and type <RET> when ready'
                 READ(5,556) I
                 NTAPE=1
              ENDIF 
           ENDIF
           IF (NFC .EQ. NFILE .AND. NRC .GE. NREC)  THEN	! Record already read
              NBACK=NRC-NREC+1
              WRITE(6,*) 'BACKINGING TAPE UP ',NBACK,' RECORDS'
              NSKIP=-NBACK
              call tapio(5,RBUFF,32500,NSKIP)		! Backup tape
              WRITE(6,*) ' '
              NRC=NRC-NBACK
              NRS=0
           ENDIF
           IDONE=0
C          ---- NEXT LINE COMMENTED OUT BY LYNNE 4/20/94 ----
C           DO 110,WHILE( ((NFC .LT. NFILE) .OR. ((NFC .EQ. NFILE) .AND.
C     1                    (NRC .LT. NREC))) .AND. (IDONE .LE. 0) )
10001         CONTINUE
              IF ( .NOT.(((NFC .LT. NFILE) .OR. ((NFC .EQ. NFILE) .AND.
     &                    (NRC .LT. NREC))) .AND. (IDONE .LE. 0)) ) GOTO 110
              call tapio(3,RBUFF,32500,NRS) 		! Read a record
C              WRITE(6,*) ' 1 ',NFILE,NFC,NREC,NRC,NRS
              IF ( NRS .EQ.  420 ) THEN			! Medium offline
                 WRITE(6,*) 'TAPE DRIVE OFFLINE'
                 ISTAT=9
                 IDONE=1
                 NRS=0
              ELSE IF ( NRS .EQ. 2160 ) THEN 		! End of File Mark
C                 WRITE(6,*) 'END OF FILE HIT AT RECORD'
                 ISTAT=8
                 NRS=0
              ELSE IF ( NRS .EQ. 500 .OR. NRS .EQ. 140 ) THEN 	! End of TAPE Mark
                 IF ( NTAPE .EQ. 1 ) THEN
                    WRITE(6,*) 'END OF TAPE 1 HIT AT RECORD'
                    WRITE(6,*) 'REWINDING TAPE1'
                    call tapio(6,L,32500,NRS)			! Rewind tapedrive
                    WRITE(6,*) ' '
                    WRITE(6,*) 'Mount Tape 2 and type  <RET>'
                    READ(5,555) IASDF
555                 FORMAT(I6)
                    call tapio(1,RBUFF,32500,NRS)		! Initialize tapedrive
                    call tapio(6,L,32500,NRS)			! Rewind tapedrive
                    ISTAT=18
                    NTAPE=2
                    NFCT2=NFC
                    NRCT2=NRC
                 ELSE
                    WRITE(6,*) 'END OF TAPE 2 FOUND'
                    STOP ' STOP IN TAPEIO   ERROR'
                 ENDIF
              ELSE IF ( NRS .EQ. 80 ) THEN 		! VOL/HDR/EOF Record Mark
                 ISTAT=7
                 CALL CONV_BYTES_TO_ASCII(RBUFF,1,4,HLABEL)
                 IF ( HLABEL .EQ. 'HDR1' ) THEN 	! Begining of new file
                    NFCOLD=NFC 				! Increment File counter
                    CALL CONV_BYTES_TO_ASCII(RBUFF,5,17,FLABEL)
                    IF ( FLABEL(1:8) .EQ. 'FILE_01.' ) NFC = 1
                    IF ( FLABEL(1:8) .EQ. 'FILE_02.' ) NFC = 2
                    IF ( FLABEL(1:8) .EQ. 'FILE_03.' ) NFC = 3
                    IF ( FLABEL(1:8) .EQ. 'FILE_04.' ) NFC = 4
                    IF ( FLABEL(1:8) .EQ. 'FILE_05.' ) NFC = 5
                    IF ( FLABEL(1:8) .EQ. 'FILE_06.' ) NFC = 6
                    IF ( FLABEL(1:8) .EQ. 'FILE_07.' ) NFC = 7
                    IF ( FLABEL(1:8) .EQ. 'FILE_08.' ) NFC = 8
                    IF ( FLABEL(1:8) .EQ. 'FILE_09.' ) NFC = 9
                    IF ( FLABEL(1:8) .EQ. 'FILE_10.' ) NFC = 10
                    IF ( FLABEL(1:8) .EQ. 'FILE_11.' ) NFC = 11
                    IF ( FLABEL(1:8) .EQ. 'FILE_12.' ) NFC = 12
                    IF ( FLABEL(1:8) .EQ. 'FILE_13.' ) NFC = 13
                    IF ( FLABEL(1:8) .EQ. 'FILE_14.' ) NFC = 14
                    IF ( FLABEL(1:8) .EQ. 'FILE_15.' ) NFC = 15
                    IF ( FLABEL(1:8) .EQ. 'FILE_16.' ) NFC = 16
                    IF ( FLABEL(1:8) .EQ. 'FILE_17.' ) NFC = 17
                    IF ( FLABEL(1:8) .EQ. 'FILE_18.' ) NFC = 18
                    IF ( FLABEL(1:8) .EQ. 'FILE_19.' ) NFC = 19
                    IF ( FLABEL(1:8) .EQ. 'FILE_20.' ) NFC = 20
                    WRITE(6,666) NFC,FLABEL
666                 FORMAT(1X,' --- START OF FILE',I3,' ---   ',A17)
                    IF ( NFC .NE. NFCOLD ) NRC = 0
                    ISTAT=1
                 ENDIF
                 IF ( HLABEL .EQ. 'EOF2' ) THEN 	! End of file
                    IF ( NFC .NE. NFILE ) THEN
c                       WRITE(6,667) NFC
667                    FORMAT(1X,' --- END OF FILE',I3)
                    ELSE
                       WRITE(6,668) NFILE,NREC
668                    FORMAT(1X,' --- END OF FILE',I3,' BEFORE FINDING REC',I6)
                       LNF=NFC
                       LNR=NRC
                       IDONE=1
                    ENDIF
                    ISTAT=4
                 ENDIF
                 NRS=0
              ELSE 					! Valid record
                 NRC=NRC+1 			! keep track of records
                 ISTAT=0
              ENDIF
C              WRITE(6,*) ' 2 ',NFILE,NFC,NREC,NRC,NRS
           GOTO 10001
110        CONTINUE
        ENDIF
        ELSE
           WRITE(6,668) NFILE,NREC
        ENDIF
        RETURN
        END

        SUBROUTINE GET_DISK_RECORD(NFILE,NREC,RBUFF,NRS,ISTAT,FBIDRFILE)
C 
C       For this subrout ine to work properly, the ODR tape record must
C       be transfered to a disk file using the vax copy command and the
C       files must be named FILE_01., FILE_02., etc
C
        INTEGER NREC,NRS,ISTAT
        INTEGER NRMIN,NRMAX,KREC
        INTEGER RECORDLEN
        BYTE RBUFF(32500)
        CHARACTER*60 FBIDRFILE,FNAME,LNAME
        CHARACTER*1 F1,F2
        DATA NFLAG/0/
        N0=INT(NFILE)
        N1=INT(N0/10)
        N2=N0-N1*10
        IF ( N1 .GT. 9 .OR. N1 .LT. 0 ) STOP 'FILENAME ERROR N1'
        IF ( N2 .GT. 9 .OR. N2 .LT. 0 ) STOP 'FILENAME ERROR N2'
        F1=CHAR(N1+48)
        F2=CHAR(N2+48)
        CALL LENGTH (FBIDRFILE, LL)
C       FNAME=FBIDRFILE(1:LL)//'_'//F1//F2//'.'
        FNAME=FBIDRFILE(1:LL)//'_'//F1//F2
	IF (NFILE .NE. 15 .AND. NFILE .NE. 2) GOTO 997
        IF ( FNAME .NE. LNAME ) THEN
           IF (NFLAG .EQ. 1 ) CLOSE(20)
C	   IF (NFILE.EQ.15.OR.NFILE.EQ.2) RECORDLEN = 32500/4
	   IF (NFILE.EQ.15.OR.NFILE.EQ.2) RECORDLEN = 32500
           OPEN(UNIT=20,NAME=FNAME,FORM='UNFORMATTED',
     1       STATUS='OLD',READONLY,ACCESS='DIRECT',RECL=RECORDLEN,ERR=998)
           NFLAG=1
        ENDIF
        LNAME=FNAME
        READ(20,REC=NREC) RBUFF
C        READ(20,REC=NREC,ERR=920) RBUFF
        NREC_OLD=NREC
        NRS=32500
        ISTAT=0
        RETURN
920     WRITE(6,*) 'ERROR READING DISK FBIDR AT REC=',NREC
        ISTAT=2
        RETURN
998     WRITE(6,*) 'FILE NOT FOUND: ',FNAME
        ISTAT=3
	RETURN
997     WRITE(6,*) 'UNKNOWN RECORD LENGTH FOR FILE: ',FNAME
        ISTAT=4
        END

        SUBROUTINE CONV_BYTES_TO_ASCII(XBYTES,NPOS,NLEN,ALPHA)
        BYTE XBYTES(1)
        CHARACTER*20 ALPHA
        INTEGER NPOS,NLEN
          ALPHA=' '
          DO 110,LP2=1,NLEN
            IVAL=XBYTES(NPOS+LP2-1)
            IF ( IVAL .LT. 0 ) IVAL=256+IVAL
            ALPHA(LP2:LP2)=CHAR(IVAL)
110       CONTINUE
        RETURN
        END
        
        SUBROUTINE CONV_BYTES_TO_INT(BUFFER,NPOS,NLEN,NL)
        BYTE BUFFER(NPOS)
        INTEGER NPOS,NLEN,NL
        NL=0
        DO 110,I=0,NLEN-1
           II=NPOS+NLEN-1-I
           IVAL=BUFFER(II)
           IF ( IVAL .LT. 0 ) IVAL=256+IVAL
           NL=NL+IVAL*2.**(I*8)
110     CONTINUE
        RETURN
        END

        SUBROUTINE CONV_BYTES_TO_INT2(BUFFER,NPOS,NLEN,NL)
        BYTE BUFFER(NPOS)
        INTEGER NPOS,NLEN,NL
	BYTE B(2), BT
	INTEGER*2 I2
	EQUIVALENCE (B(1), I2)

        NL=0
        DO 110,I=0,NLEN-1
           II=NPOS-NLEN+1+I
           IVAL=BUFFER(II)
           IF ( IVAL .LT. 0 ) IVAL=256+IVAL
           NL=NL+IVAL*2.**(I*8)
110     CONTINUE

C	CONVERT FROM VAX FORMAT TO IEEE FORMAT
C	(ASSUME EVERY OTHER BYTE IS SWAPPED ON THE SGI)
C        I2 = NL
C        BT = B(1)  
C        B(1) = B(2)
C        B(2) = BT
C        NL = I2

        RETURN
        END

        SUBROUTINE CONV_BYTES_TO_INT3(BUFFER,NPOS,NL)
        BYTE BUFFER(32500)
        INTEGER NPOS,NL
        BYTE BBUFF(4)
        INTEGER IBUFF
        EQUIVALENCE(IBUFF,BBUFF)

	INTEGER*4	I4
	BYTE		B(4), BT
	EQUIVALENCE	(B(1), I4)

        BBUFF(1)=BUFFER(NPOS-3)
        BBUFF(2)=BUFFER(NPOS-2)
        BBUFF(3)=BUFFER(NPOS-1)
        BBUFF(4)=BUFFER(NPOS)

        NL=IBUFF

C	CONVERT FROM VAX FORMAT TO IEEE FORMAT
C	(ASSUME EVERY OTHER BYTE IS SWAPPED ON SGI)

	I4 = NL
	BT = B(1)
	B(1) = B(3)
	B(3) = BT
	BT = B(2)
	B(2) = B(4)
	B(4) = BT
	BT = B(1)
	B(1) = B(2)
	B(2) = BT
	BT = B(3)
	B(3) = B(4)
	B(4) = BT
	NL = I4

        RETURN
        END

        SUBROUTINE CONV_BYTES_TO_REAL(BUFFER,NPOS,XL)
        REAL XL,XX
        BYTE BUFFER(32500),BB(4)
        INTEGER NPOS
        EQUIVALENCE (XX,BB)

        REAL*4	R4
	BYTE 	B(4), BT
	EQUIVALENCE (B(1), R4)

        BB(1)=BUFFER(NPOS+1-1)
        BB(2)=BUFFER(NPOS+2-1)
        BB(3)=BUFFER(NPOS+3-1)
        BB(4)=BUFFER(NPOS+4-1)
        XL=XX        

C	CONVERT FROM VAX FORMAT TO IEEE FORMAT
C	(ASSUME EVERY OTHER BYTE IS SWAPPED ON SGI)
	R4 = XL
	BT = B(2)
	B(2) = B(1)
	B(1) = BT
	BT = B(3)
	B(3) = B(4)
	B(4) = BT
	R4 = R4 / 4.0
	XL = R4


        RETURN
        END

        SUBROUTINE CONV_ASCII_TO_INT(BUFF,NPOS,NLEN,IVAL)
        BYTE BUFF(32500)
        REAL VAL
        CHARACTER*80 ABUFF
           DO 100,I=1,NLEN
              NVAL=BUFF(I+NPOS-1)
              IF ( NVAL .LT. 0 ) NVAL=256+NVAL
              ABUFF(I:I)=CHAR(NVAL)
100        CONTINUE
           READ(ABUFF,600) IVAL
600        FORMAT(I<NLEN>.0) 
        RETURN
        END

        SUBROUTINE CONV_ASCII_TO_REAL(BUFF,NPOS,NLEN,VAL)
        BYTE BUFF(32500)
        REAL VAL
        CHARACTER*80 ABUFF
          DO 100,I=1,NLEN
            NVAL=BUFF(I+NPOS-1)
            IF ( NVAL .LT. 0 ) NVAL=256+NVAL
            ABUFF(I:I)=CHAR(NVAL)
100       CONTINUE
          READ(ABUFF,600) VAL
600       FORMAT(F<NLEN>.0) 
        RETURN
        END

        SUBROUTINE CONV_ASCII_TO_DREAL(BUFF,NPOS,NLEN,VAL)
        BYTE BUFF(32500)
        REAL*8 VAL
        CHARACTER*80 ABUFF
          DO 100,I=1,NLEN
            NVAL=BUFF(I+NPOS-1)
            IF ( NVAL .LT. 0 ) NVAL=256+NVAL
            ABUFF(I:I)=CHAR(NVAL)
100       CONTINUE
          READ(ABUFF,600) VAL
600       FORMAT(D<NLEN>.17) 
        RETURN
        END

        SUBROUTINE LOCATE(I,J)
        KK=1
        KI=1
        DO 100, K=1,3
           KK=KK*10
           IF ( I/KK .GE. 1 ) KI=KI+1
100     CONTINUE
        KK=1
        KJ=1
        DO 200, K=1,3
           KK=KK*10
           IF ( J/KK .GE. 1 ) KJ=KJ+1
200     CONTINUE
	WRITE(5,510) 27,I,J
510	FORMAT('+',A1,'[',I<KI>,';',I<KJ>,'H',$)
        RETURN
        END


        SUBROUTINE CONVERT_C1_TO_IB(IC1,IC2,L1,L2)

        REAL*8 BLKRC1
        REAL*8 BLKRC2
        INTEGER BLKMAX
        INTEGER BLKCNT(10000)
        INTEGER BLKC1X(10000)
        INTEGER BLKC2X(10000)
        INTEGER BLKILN(10000)
        INTEGER BLKIPN(10000)
        INTEGER BLKPOS(10000)
        REAL*8 BLKLAT(10000)
        REAL*8 BLKLON(10000)

        COMMON/BLKLOC/     BLKRC1,BLKRC2,BLKMAX,BLKCNT,BLKC1X,BLKC2X,
     &                     BLKLAT,BLKLON,BLKILN,BLKIPN,BLKPOS
          
          L1=0
          L2=-2
          I=0
C	   ---- NEXT LINE COMMENTED OUT BY LYNNE 4/22/94 ----
C          DO 100,WHILE(I.LT.ABS(BLKMAX))
10000	   CONTINUE
           IF (I .GE. ABS(BLKMAX)) GOTO 100
            I=I+1
            IF ( BLKC1X(I) .GT. IC1 ) L1=I-1
            IF ( BLKC1X(I) .GE. IC2 ) THEN
              L2=I
            ELSE
              I=ABS(BLKMAX)
            ENDIF
          GOTO 10000
100       CONTINUE
          L2=L2+1
          IF ( L1 .LT. 0 ) L1=1
          IF ( BLKMAX .LT. 0 ) THEN
            IF ( L1 .GT. ABS(BLKMAX) ) L1=ABS(BLKMAX)+1
            IF ( L2 .EQ. ABS(BLKMAX) ) L2=9999
          ELSE
            IF ( L1 .GT. BLKMAX ) L1=BLKMAX
            IF ( L2 .GT. BLKMAX ) L2=BLKMAX
          ENDIF

          RETURN
        END

        SUBROUTINE CONVERT_LAT_TO_IB(XLAT1,XLAT2,L1,L2)

          INTEGER I
          INTEGER L1
          INTEGER L2
          REAL XLAT1
          REAL XLAT2

        REAL*8 BLKRC1
        REAL*8 BLKRC2
        INTEGER BLKMAX
        INTEGER BLKCNT(10000)
        INTEGER BLKC1X(10000)
        INTEGER BLKC2X(10000)
        INTEGER BLKILN(10000)
        INTEGER BLKIPN(10000)
        INTEGER BLKPOS(10000)
        REAL*8 BLKLAT(10000)
        REAL*8 BLKLON(10000)

        COMMON/BLKLOC/     BLKRC1,BLKRC2,BLKMAX,BLKCNT,BLKC1X,BLKC2X,
     &                     BLKLAT,BLKLON,BLKILN,BLKIPN,BLKPOS
          L1=0
          L2=-1
          I=0
C	  ---- WHILE FIXED 4/26/94 BY LYNNE ----
C          DO 100,WHILE(I.LT.ABS(BLKMAX))
10000      CONTINUE
           IF (I .GE. ABS(BLKMAX)) GOTO 100
            I=I+1
            IF ( BLKLAT(I) .GT. XLAT1-.0001 ) L1=I-1
            IF ( BLKLAT(I) .GE. XLAT2+.0001 ) THEN
              L2=I
            ELSE
              I=ABS(BLKMAX)
            ENDIF
	  GOTO 10000
100       CONTINUE
          L2=L2+1
          IF ( L1 .LE. 0 ) L1=1
          IF ( BLKMAX .LE. 0 ) THEN
            IF ( L1 .GT. ABS(BLKMAX) ) L1=ABS(BLKMAX)+1
            IF ( L2 .GE. ABS(BLKMAX) ) L2=9999
          ELSE
            IF ( L1 .GT. BLKMAX ) L1=BLKMAX
            IF ( L2 .GT. BLKMAX ) L2=BLKMAX
          ENDIF
          RETURN
        END
