/* Fill in partial pp for correlator */
/* clw 7/22/92 */

#include "../../../inc/pp.h"

extern	struct corr_pp{

	int  gen_burst_num;
	int  gen_test;
	int  gen_anomaly;
	int  gen_error;

	int  gen_projection;
	float	 bip_bip_app_rg;

	float  	mrp_mrp_incang;
 	float  	mrp_mrp_rg;
	float  	mrp_mrp_fd;
    	float  	mrp_mrp_fr;
    	float  	mrp_mrp_APP_RG;

	int brcomp_n_pulses;

	int dcs_rg_ref_ndx;
	float   dcs_abs_rgwalk;

	float  rcomp_rel_rg[3][3];
	float  rcomp_rel_fd[3][3];
	float  rcomp_C1[3][3];
	float  rcomp_C2[3][3];
	float  rcomp_c_in_fd[3][3];

	int    geo_C1[3][3];
	int    geo_C2[3][3];
	float       geo_rel_rg[3][3];
	float       geo_rel_fd[3][3];
	float       geo_c_in_C2[3][3];
	float       geo_c_in_C1[3][3];

	float   framelet_rg[2][2];
	float   framelet_fd[2][2];

	float  	bs_prf;
	int bs_nsamples;
	float    bs_pbw;
	char	pm_thresh[24];

	int    frame_C1_fdmax;
	int    frame_C2_min;
	int    frame_C2_START;
	int    frame_C1_fdmin;
	int    frame_C2_max;
	int    frame_c1_offset;
	int    frame_c2_offset;
	int    frame_r_offset;
	int    frame_set_no;

	float	   ssp_sc_x_vbf;	        
	float	   ssp_sc_y_vbf;	        
	float	   ssp_sc_z_vbf;	        
	float	   ssp_look_ang;	        
	float	   bip_bip_elev;	        
	float	   rcomp_ant_gain[3][3];
	float	   rcomp_rcomp[3][3];

	int	   brcomp_az_f;

} pp_a_;

get_corr_pp_( ppbuf )
char *ppbuf;
{
	int i, j;
	union upp upp;

	for ( i = 0; i < 35; i++ ) upp.ppstr.str1[i] = ppbuf[i];
	for ( i = 0; i < 4; i++ ) upp.ppstr.str2[i] = ppbuf[i+35];
	for ( i = 0; i < 44; i++ ) upp.ppstr.str3[i] = ppbuf[i+39];
	for ( i = 0; i < 1232; i++ ) upp.ppstr.str4[i] = ppbuf[i+83];

	pp_a_.gen_burst_num = (int)upp.pp.data.gen.burst_num;
	pp_a_.gen_test = upp.pp.data.gen.test;
	pp_a_.gen_anomaly = upp.pp.data.gen.anomaly;
	pp_a_.gen_error = upp.pp.data.gen.error;
	pp_a_.gen_projection  = upp.pp.data.gen.projection;

	pp_a_.bip_bip_app_rg 	 = upp.pp.data.bip.bip_app_rg;

	pp_a_.mrp_mrp_incang  = upp.pp.data.mrp.mrp_incang;
	pp_a_.mrp_mrp_rg = upp.pp.data.mrp.sample1_app_rg;
	pp_a_.mrp_mrp_fd  = upp.pp.data.mrp.mrp_fd;
	pp_a_.mrp_mrp_fr  = upp.pp.data.mrp.mrp_fr;
	pp_a_.mrp_mrp_APP_RG = upp.pp.data.mrp.mrp_app_rg;

	pp_a_.brcomp_n_pulses  = upp.pp.data.brcomp.n_pulses;

	pp_a_.dcs_rg_ref_ndx  = upp.pp.data.dcs.rg_ref_ndx;
	pp_a_.dcs_abs_rgwalk  = upp.pp.data.dcs.abs_rgwalk;

	for ( i = 0; i < 3; i++ ) {
	for ( j = 0; j < 3; j++ ) {
	
		pp_a_.rcomp_rel_rg[i][j]  = upp.pp.data.rcomp.rel_rg[i][j];
		pp_a_.rcomp_rel_fd[i][j]  = upp.pp.data.rcomp.rel_fd[i][j];
		pp_a_.rcomp_C1[i][j]  = upp.pp.data.rcomp.c1[i][j];
		pp_a_.rcomp_C2[i][j]  = upp.pp.data.rcomp.c2[i][j];
		pp_a_.rcomp_c_in_fd[i][j] = upp.pp.data.rcomp.c_in_fd[i][j];
		pp_a_.rcomp_ant_gain[i][j] = upp.pp.data.rcomp.ant_gain[i][j];
		pp_a_.rcomp_rcomp[i][j] = upp.pp.data.rcomp.rcomp[i][j];

		pp_a_.geo_C1[i][j]  = upp.pp.data.geo.c1[i][j];
		pp_a_.geo_C2[i][j]  = upp.pp.data.geo.c2[i][j];
		pp_a_.geo_rel_rg[i][j]  = upp.pp.data.geo.rel_rg[i][j];
		pp_a_.geo_rel_fd[i][j] = upp.pp.data.geo.rel_fd[i][j];
		pp_a_.geo_c_in_C2[i][j]  = upp.pp.data.geo.c_in_c2[i][j];
		pp_a_.geo_c_in_C1[i][j]  = upp.pp.data.geo.c_in_c1[i][j];

	}
	}

	for ( i = 0; i < 2; i++ ) {
	for ( j = 0; j < 2; j++ ) {
	
		pp_a_.framelet_rg[i][j] = upp.pp.data.framelet.rg[i][j];
		pp_a_.framelet_fd[i][j] = upp.pp.data.framelet.fd[i][j];

	}
	}

	for ( i = 0; i < 24; i++ ) {
		pp_a_.pm_thresh[i] = (int)upp.pp.data.pm.thresh[i];
	}

	pp_a_.bs_prf  = upp.pp.data.bs.prf;
	pp_a_.bs_nsamples = upp.pp.data.bs.nsamples;
	pp_a_.bs_pbw  = upp.pp.data.bs.pbw;

	pp_a_.frame_C1_fdmax  = upp.pp.data.frame.c1_fdmax;
	pp_a_.frame_C2_min  = upp.pp.data.frame.c2_min;
	pp_a_.frame_C2_START  = upp.pp.data.frame.c2_start;
	pp_a_.frame_C1_fdmin  = upp.pp.data.frame.c1_fdmin;
	pp_a_.frame_C2_max  = upp.pp.data.frame.c2_max;
	pp_a_.frame_c1_offset	 = upp.pp.data.frame.c1_offset;
	pp_a_.frame_c2_offset	 = upp.pp.data.frame.c2_offset;
	pp_a_.frame_r_offset	 = upp.pp.data.frame.r_offset;
	pp_a_.frame_set_no = upp.pp.data.frame.set_no;

	pp_a_.ssp_sc_x_vbf = upp.pp.data.ssp.sc_x_vbf;
	pp_a_.ssp_sc_y_vbf = upp.pp.data.ssp.sc_y_vbf;
	pp_a_.ssp_sc_z_vbf = upp.pp.data.ssp.sc_z_vbf;
	pp_a_.ssp_look_ang = upp.pp.data.ssp.look_ang;
	pp_a_.bip_bip_elev = upp.pp.data.bip.bip_elev;

	pp_a_.brcomp_az_f = upp.pp.data.brcomp.az_f;
}
