	SUBROUTINE KAISER(A,N,ALPHA)

	COMPLEX A(N)
	PI=3.1415926

	PIALPA=PI*ALPHA
	CALL BESSEL(PIALPA,BSLI0)
C
	NW=N
	NW2=NW/2

	DO I=1,NW2
	   CI=(1.-((I-.5)/NW*2)**2)**.5*PIALPA
	   CALL BESSEL(CI,BSLI)
	   VRAL=BSLI/BSLI0
	   A(I)=CMPLX(VRAL,0.0)
	   A(NW-I+1)=A(I)
	END DO

	END	
c************  BESSEL  ************************************************

      subroutine BESSEL(AI,AO)
	AO=1.
	AT=1.
	DO K=1,20
	  AT=AT*AI/2/K
	  AO=AO+AT**2
	END DO
	RETURN
	END
