/*
 *   sun2vaxi4.c function to swap the 4 bytes in a long int
 *
 *   Changes: Intial code Lawrence Chen 10/18/93
 */

/*** Includes ***/

#include<stdio.h>
#include<ctype.h>

/*** Structure and union definitions ***/

union i4b4 {
    int i;
    char b[4];
};

long sun2vaxi4_( i )
int *i;

{
/*** Declaration of local variables ***/

    union i4b4 si4, vi4;
    long value;

/*** Do the byte swap ***/

    si4.i = *i;
    vi4.b[3] = si4.b[0];
    vi4.b[2] = si4.b[1];
    vi4.b[1] = si4.b[2];
    vi4.b[0] = si4.b[3];
    value = vi4.i;

    return ( value );
}
