C========================================================================
C sec_2_day.f
C------------------------------------------------------------------------
	subroutine sec_2_day(Tin,day)
C
C Abstract:
C	Converts seconds to day unit.
C
	implicit none

C Declarations:
C	Passing Parameters: 

	REAL*8 Tin, day

C	Constant Parameters: None.
C	Include files: None.
C
C Brief I/O:
C	Variable	I/O		Description
C       --------	---		------------
C	Tin		I		time in seconds
C	day		O		day
C
C Constant Parameters:
C	None.
C
C Common Blocks:
C	Name		I/O		Description
C       ----		---		------------
C	None.
C
C Detailed I/O through common blocks:
C
C	Variable	I/O		Description
C       --------	---		------------
C	TBD
C
C Files:
C	None.
C
C Author and Institution:
C	Michael Jin (JPL).
C
C References:
C	Source is obtainted from MGN/SDPS/PSP preprocessing software on VAX.
C
C Revised Information:
C	PPLIB 05-01-1992 (CLW) - To be compatible to Alliant FX/2800.
C
C========================================================================
C Local Variables:

	day=(Tin/3600.)/24.	!Convert to hour and then to day

	return
	end
