c*********************************************************
c	Module Name: keyvar.inc
c
c	Correlator Key Variables
c	
c	All variales are assigned in the pp_keyvar.f  module
c
c--------------------------------------------------------
c
c	09/17/92 A. Chu Added brcomp_az_f
c	08/18/92 A. Chu Added rcomp_factor
c	08/17/92 A. Chu Added rcomp_ant_gain(3,2)
c	08/14/92 A. Chu Added sc_x_vbf,look_ang,bip_elev
c	03/25/92 A. Chu Added nfftaz,nfft_rg
c	03/16/92 A. Chu Added Raiometry pp
c	03/02/92 A. Chu Extract from Jin's Corrlator
c**********************************************************
	integer dcs_nfft_az		!dcs fft_az size
	real    rcomp_factor(3,3)		!8/17/92
	real    rcomp_ant_gain(3,3)		!8/17/92
	real    sc_x_vbf,sc_y_vbf,sc_z_vbf	!8/14/92
	real    look_ang,bip_elev		!8/14/92
	real    sar_threshold(24)
	integer burst_no
	integer npulses,nsamples
	integer nfft_az,nfft_rg
	integer I_rg, ipj
	integer set_no,r_offset		!3/16/92 radio
	real r_bip			!3/16/92 radio
	REAL C2START, C2MIN, C2MAX, C1MIN, C1MAX
	REAL TA, T_B, PRF, PBW, NP, NS, ALK, I_m, Nw
	REAL R_lo, R_hi, FD_lo, FD_hi,FR_M,FD_M,R_M
	REAL MU_G(3,3), MU_A(3,3),MU_R(3,3)	!3/16/92 radio
	REAL C1_g(3,3), C2_g(3,3), R_G(3,3), FD_G(3,3)
	REAL C1_rg(3,3), C2_rg(3,3), R_RG(3,3), FD_RG(3,3)
	REAL MU_c2(3,3), MU_c1(3,3)

	common /key_var/
	2 dcs_nfft_az,
	2 rcomp_factor,rcomp_ant_gain,
	2 sc_x_vbf,sc_y_vbf,sc_z_vbf,
	2 look_ang,bip_elev,
	2 sar_threshold,
	2 burst_no,
	2 npulses,nsamples,
	2 nfft_az,nfft_rg,		!3/25/92
	2 I_rg, ipj,			
	2 set_no,r_offset,		!3/16/92 radio
	2 r_bip,			!3/16/92 radio 
	2 C2START, C2MIN, C2MAX, C1MIN, C1MAX,
	2 TA, T_B, PRF, PBW, NP, NS, ALK, I_m, Nw,
	2 R_lo, R_hi, FD_lo, FD_hi,FR_M,FD_M,R_M,
	2 MU_G, MU_A, MU_R,		!3/16/92 radio 
	2 C1_g, C2_g, R_G, FD_G,
	2 C1_rg, C2_rg, R_RG, FD_RG,
	2 MU_c2, MU_c1
c=========================== end of keyvar.inc =========================:
