c************************************************************************
c	Per-Orbit data base Include file for the Alliant FX/2800
c       
c	r001	6/10/92  A.Chu for Integration mgnsar.f
c	r000	5/12/92  A.Chu Initial code
c************************************************************************
c	 po_a.inc
c--------------------------------------------------------------------------
c	SFDU portion:
c		Primary label:

	character*9	po_prime_label
	character*3	po_prime_type

c	character*8	po_sfdu_prime_length
c		Secondary label:
c	integer*2	po_sfdu_second_label
c	integer*2	po_sfdu_second_length
	integer*2	po_orbit_2_num
c	integer*2	po_sfdu_orbit_num
c		Data annotation block:
c	byte		po_sfdu_data_class
c	byte		po_sfdu_data_ann_length
c		Per-Orbit-specific fields:
c	Data portion:

c	General Parameters:

c	integer*4	po_orbit_num

c	real*8		po_data_gen_orb_start_scet
c	real*8		po_data_gen_orb_end_scet
c	integer*4	po_data_gen_n_EDR_bursts
c	character*9	po_data_gen_product_id
c	character*6	po_data_gen_vol_id
c	character*19	po_data_gen_local_time
c	integer*4	po_data_gen_nlooks

	integer*4	po_left_looking
	character*32	po_gen_ephemeris_id

c		Orbit Keplerians:

c	character*15	po_data_orb_periapsis_sclk
c	real*8		po_data_orb_periapsis_j2000
c	real*8		po_data_orb_semi_major
c	real*8		po_data_orb_eccentricity
c	real*8		po_data_orb_inclination
c	real*8		po_data_orb_asc_node_lon
c	real*8		po_data_orb_arg_periapsis
c	real*4		po_data_orb_period
c	SCLK-to-SCET Conversion Coefficients:
c	character*13	po_data_time_sclk0
c	character*12	po_data_time_A1
c	character*19	po_data_time_A0
c	character*6	po_data_time_dut
c	Projection Burst Counters:

	integer*4	po_projc_obl_st
	integer*4	po_projc_obl_end
	integer*4	po_projc_sin_st
	integer*4	po_projc_sin_end

c	Projection Parameters:

	real*4		po_sin_ref_lon

c	integer*4	po_data_projp_grid_fix_burst
c	real*8		po_data_projp_grid_fix_time
c	real*4		po_data_projp_xhat_x_vbf
c	real*4		po_data_projp_xhat_y_vbf
c	real*4		po_data_projp_xhat_z_vbf
c	real*4		po_data_projp_yhat_x_vbf
c	real*4		po_data_projp_yhat_y_vbf
c	real*4		po_data_projp_yhat_z_vbf
c	real*4		po_data_projp_zhat_x_vbf
c	real*4		po_data_projp_zhat_y_vbf
c	real*4		po_data_projp_zhat_z_vbf

	real*4		po_obl_ref_lon
	real*4		po_neg_obl_ref_lat

c	real*8		po_data_projp_obl_st_time
c	real*8		po_data_projp_obl_end_time


	common/po_hdr/po_prime_label,
	2	po_prime_type,
	2	po_gen_ephemeris_id,
	2	po_orbit_2_num

	common/po_data/
	2	po_left_looking,
	2	po_projc_obl_st,
	2	po_projc_obl_end,
	2	po_projc_sin_st,
	2	po_projc_sin_end,
	2	po_sin_ref_lon,
	2	po_obl_ref_lon,
	2	po_neg_obl_ref_lat
c********************** end of po_a.inc ********************
c	common/po_hdr/po_sfdu_prime_label,
c	2	po_sfdu_prime_type,
c	2	po_data_gen_ephemeris_id,
c	2	po_sfdu_orbit_num

c	2	po_sfdu_prime_length,
c	2	po_sfdu_second_label,
c	2	po_sfdu_second_length,

c	common/po_data/
c	2	po_sfdu_data_class,
c	2	po_sfdu_data_ann_length,
c	2	po_data_gen_orbit,
c	2	po_data_gen_orb_start_scet,
c	2	po_data_gen_orb_end_scet,
c	2	po_data_gen_n_EDR_bursts,
c	2	po_data_gen_product_id,
c	2	po_data_gen_vol_id,
c	2	po_data_gen_local_time,
c	2	po_data_gen_nlooks,
c	2	po_data_gen_left_looking,
c	2	po_data_orb_periapsis_sclk,
c	2	po_data_orb_periapsis_j2000,
c	2	po_data_orb_semi_major,
c	2	po_data_orb_eccentricity,
c	2	po_data_orb_inclination,
c	2	po_data_orb_asc_node_lon,
c	2	po_data_orb_arg_periapsis,
c	2	po_data_orb_period,
c	2	po_data_time_sclk0,
c	2	po_data_time_A1,
c	2	po_data_time_A0,
c	2	po_data_time_dut,
c	2	po_data_projc_obl_st,
c	2	po_data_projc_obl_end,
c	2	po_data_projc_sin_st,
c	2	po_data_projc_sin_end,
c	2	po_data_projp_sin_ref_lon,
c	2	po_data_projp_grid_fix_burst,
c	2	po_data_projp_grid_fix_time,
c	2	po_data_projp_xhat_x_vbf,
c	2	po_data_projp_xhat_y_vbf,
c	2	po_data_projp_xhat_z_vbf,
c	2	po_data_projp_yhat_x_vbf,
c	2	po_data_projp_yhat_y_vbf,
c	2	po_data_projp_yhat_z_vbf,
c	2	po_data_projp_zhat_x_vbf,
c	2	po_data_projp_zhat_y_vbf,
c	2	po_data_projp_zhat_z_vbf,
c	2	po_data_projp_obl_ref_lon,
c	2	po_data_projp_neg_obl_ref_lat
cc	2	po_data_projp_obl_st_time,
cc	2	po_data_projp_obl_end_time
c********************** end of po_a.inc ********************
