c************************************************************************
c	Processing parameter include file
c       
c	pp.inc (Alliant Version)
c
c	r004	9/15/92 A.Chu Added DCS FFT_AZ size for radio_comp.f
c	r003	7/24/92 A.Chu Changed the order to fit C-program codes
c	r002	5/16/92 A.Chu Added pp for integration testing
c	r001	3/16/92 A.Chu Added pp for radiometry
c	r000	3/2/92  A.Chu Initial code
c************************************************************************
c	 pp.inc
c--------------------------------------------------------------------------
	integer  pp_data_gen_burst_num
	integer  pp_data_gen_test
	integer  pp_data_gen_anomaly
	integer  pp_data_gen_error

	integer  pp_data_gen_projection 
	real	 pp_data_bip_bip_app_rg 	!3/16/92

	real  	pp_data_mrp_mrp_incang 
 	real  	pp_data_mrp_mrp_rg
	real  	pp_data_mrp_mrp_fd 
    	real  	pp_data_mrp_mrp_fr 
    	real  	pp_data_mrp_mrp_APP_RG

	integer pp_data_brcomp_n_pulses 

	integer pp_data_dcs_rg_ref_ndx 
	real   pp_data_dcs_abs_rgwalk 

	real  pp_data_rcomp_rel_rg( 3,3 ) 
	real  pp_data_rcomp_rel_fd( 3,3 ) 
	real  pp_data_rcomp_C1( 3,3 ) 
	real  pp_data_rcomp_C2( 3,3 ) 
	real  pp_data_rcomp_c_in_fd(3,3)	!3/16/92

	integer    pp_data_geo_C1( 3,3 ) 
	integer    pp_data_geo_C2( 3,3 ) 
	real       pp_data_geo_rel_rg( 3,3 ) 
	real       pp_data_geo_rel_fd(3,3 ) 
	real       pp_data_geo_c_in_C2( 3,3 ) 
	real       pp_data_geo_c_in_C1( 3,3 ) 

	real   pp_data_framelet_rg(2,2 )
	real   pp_data_framelet_fd( 2,2 ) 

	real  	pp_data_bs_prf 
	integer pp_data_bs_nsamples
	real    pp_data_bs_pbw 
	byte	pp_data_pm_thresh(24)

	integer    pp_data_frame_C1_fdmax 
	integer    pp_data_frame_C2_min 
	integer    pp_data_frame_C2_START 
	integer    pp_data_frame_C1_fdmin 
	integer    pp_data_frame_C2_max 
	integer    pp_data_frame_c1_offset	
	integer    pp_data_frame_c2_offset	
	integer    pp_data_frame_r_offset	!3/16/92 radio
	integer    pp_data_frame_set_no		!3/16/92

	real       pp_data_ssp_sc_x_vbf
	real       pp_data_ssp_sc_y_vbf
	real       pp_data_ssp_sc_z_vbf
	real       pp_data_ssp_look_ang
	real       pp_data_bip_bip_elev
	real       pp_data_rcomp_ant_gain(3,3)
	real       pp_data_rcomp_rcomp(3,3)
	integer    pp_data_brcomp_az_f


	common /pp_a/pp_data_gen_burst_num,
	2  pp_data_gen_test,
	2  pp_data_gen_anomaly,
	2  pp_data_gen_error,
	2  pp_data_gen_projection ,

	2  pp_data_bip_bip_app_rg, 	!3/16/92
	2  pp_data_mrp_mrp_incang, 
 	2  pp_data_mrp_mrp_rg,
	2  pp_data_mrp_mrp_fd, 
    	2  pp_data_mrp_mrp_fr, 
    	2  pp_data_mrp_mrp_APP_RG,

	2  pp_data_brcomp_n_pulses, 

	2  pp_data_dcs_rg_ref_ndx, 
	2  pp_data_dcs_abs_rgwalk, 
	2  pp_data_rcomp_rel_rg,
	2  pp_data_rcomp_rel_fd,
	2  pp_data_rcomp_C1,
	2  pp_data_rcomp_C2,
	2  pp_data_rcomp_c_in_fd,

	2  pp_data_geo_C1,
	2  pp_data_geo_C2,
	2  pp_data_geo_rel_rg,
	2  pp_data_geo_rel_fd,
	2  pp_data_geo_c_in_C2,
	2  pp_data_geo_c_in_C1,

	2  pp_data_framelet_rg,
	2  pp_data_framelet_fd,

	2  pp_data_bs_prf ,
	2  pp_data_bs_nsamples,
	2  pp_data_bs_pbw, 
	2  pp_data_pm_thresh,

	2  pp_data_frame_C1_fdmax, 
	2  pp_data_frame_C2_min ,
	2  pp_data_frame_C2_START, 
	2  pp_data_frame_C1_fdmin, 
	2  pp_data_frame_C2_max, 
	2  pp_data_frame_c1_offset,	
	2  pp_data_frame_c2_offset,	
	2  pp_data_frame_r_offset,
	2  pp_data_frame_set_no,		!3/16/92

	2  pp_data_ssp_sc_x_vbf,
	2  pp_data_ssp_sc_y_vbf,
	2  pp_data_ssp_sc_z_vbf,
	2  pp_data_ssp_look_ang,
	2  pp_data_bip_bip_elev,
	2  pp_data_rcomp_ant_gain,
	2  pp_data_rcomp_rcomp,
	2  pp_data_brcomp_az_f
c---------------------- end of pp_a.inc ---------------------------	
